/**
 * 3DtCgV[eBOQ[ppbP[W RaidersSpherepbP[WłB
 *
 * @package_overview
 * @package 	RaidersSphere
 * @caption		RaidersSpherepbP[W
 * @license 	&lt;a href='http://en.wikipedia.org/wiki/MIT_License'&lt;X11/MIT License&lt;/a&gt;
 * @author		Rectangle
 * @since		1.0
 * @version 	1.0
 * @engine		RSE3.5, SpE4.0
 * @url 		&lt;a href='http://www.rectangle.jp/'&gt;l\tgT[N Rectangle&lt;/a&gt;
 */

/**
 * RaidersSpherepbP[W W萔QLqt@CłB
 *
 * @file_overview
 * @license     &lt;a href='http://en.wikipedia.org/wiki/MIT_License'&lt;X11/MIT License&lt;/a&gt;
 * @author      Rectangle
 * @since       1.0
 * @version     1.0
 * @engine      RSE3.5, SpE4.0
 * @url         &lt;a href='http://rs.wakabadou.net/'&gt;t{&lt;/a&gt;
 */

//======================================================
//ėp萔
//======================================================
//------------------------------------------------------
//`
//------------------------------------------------------
/** @const	int	NULL	[NULLlF-1őp */
const int NULL = -1;

/** @const	int	NULL_LABEL	xsvȏꍇ̃ftHgl */
const int NULL_LABEL = 0;

/** @const	float	FRAME_IN_SECOND	1t[̕b */
const float FRAME_IN_SECOND = 1 / 60.0;

/** @const	int	SECOND_IN_FRAME	1b̃t[ */
const int SECOND_IN_FRAME = 60;

/** @const	string	EMPTY_STRING	󕶎 */
const string EMPTY_STRING = '';

/** @const	string	EMPTY_STRING	w̏ꍇ̃t@CpX */
const string EMPTY_PATH = '';

/** @const	string	MESSAGE_WINDOW_ID_DEFAULT	ftHg̃bZ[WEBhEID */
const string MESSAGE_WINDOW_ID_DEFAULT = 0;

//------------------------------------------------------
//ݒ
//------------------------------------------------------
/** @const	int	LANG_JA_JP	F{ nF{ */
const int LANG_JA_JP = 0;

/** @const	int	LANG_EN_US	Fp nFAJO */
const int LANG_EN_US = 1;

/** @const	int	LANG_EN_BR	Fp nFO[gueyіkAChA */
const int LANG_EN_BR = 2;

//------------------------------------------------------
//x
//------------------------------------------------------
/** @const	int	LABEL_PLAYER	@x */
const int LABEL_PLAYER = 1;

//------------------------------------------------------
//O[v
//------------------------------------------------------
/** @const	int	GROUP_PLAYER	@O[v */
const int GROUP_PLAYER = 0;

//------------------------------------------------------
//Փx
//------------------------------------------------------
/** @const	int	LEVEL_EASY	xFC[W[ */
const int LEVEL_EASY	 = 0;

/** @const	int	LEVEL_NORMAL	xFm[} */
const int LEVEL_NORMAL	 = 1;

/** @const	int	LEVEL_HARD	xFn[h */
const int LEVEL_HARD	 = 2;

//======================================================
//֐p萔
//======================================================
//------------------------------------------------------
//catapult֐p
//------------------------------------------------------
/** @const	int	CATAPULT_TAGET_FLAG_ON	catapult֐̈FˏoɃ^[QbgƂ */
const int CATAPULT_TAGET_FLAG_ON = TRUE;

/** @const	int	CATAPULT_TAGET_FLAG_OFF	catapult֐̈FˏoɃ^[QbgƂȂ */
const int CATAPULT_TAGET_FLAG_OFF = FALSE;

/** @const	int	CATAPULT_NO_NEW_LABEL	catapult֐̈FIȃxt^Ȃ */
const int CATAPULT_NO_NEW_LABEL = 0;

//------------------------------------------------------
//set_team_id֐p
//------------------------------------------------------
/** @const	string	TEAM_ID_ENEMY	set_team_id֐̈FG */
const string TEAM_ID_ENEMY	 = 'ENEMY';

/** @const	string	TEAM_ID_FRIEND	set_team_id֐̈F */
const string TEAM_ID_FRIEND	 = 'FRIEND';

/** @const	string	TEAM_ID_OBJECT	set_team_id֐̈FIuWFNgi͖j */
const string TEAM_ID_OBJECT	 = 'OBJECT';

//------------------------------------------------------
//attack_style֐p
//------------------------------------------------------
/** @const	string	ATTACK_STYLE_PRIORITY_AIR	attack_style֐̈FDUڕWFq@ */
const string ATTACK_STYLE_PRIORITY_AIR			 = 'PRIORITY_AIR';

/** @const	string	PRIORITY_GROUND	attack_style֐̈FDUڕWFn㕺킨ю{ */
const string ATTACK_STYLE_PRIORITY_GROUND		 = 'PRIORITY_GROUND';

/** @const	string	PRIORITY_TARGET	attack_style֐̈FDUڕWF^[Qbgw肳ꂽG */
const string ATTACK_STYLE_PRIORITY_TARGET		 = 'PRIORITY_TARGET';

/** @const	string	PRIORITY_NONTARGET	attack_style֐̈FDUڕWF^[QbgȊO̓G */
const string ATTACK_STYLE_PRIORITY_NONTARGET	 = 'PRIORITY_NONTARGET';

//------------------------------------------------------
//view_mode
//------------------------------------------------------
/** @const	string	VIEW_MODE_FIXED	view_mode֐̈Ffocus1Be邽߂̋󒆌ŒJ */
const string VIEW_MODE_FIXED	 = 'FIXED';

/** @const	string	VIEW_MODE_LONG	view_mode֐̈Ffocus1𒆐SɂāAfocus2Be */
const string VIEW_MODE_LONG		 = 'LONG';

/** @const	string	VIEW_MODE_SHORT	view_mode֐̈Ffocus1̃Jfocus2Be */
const string VIEW_MODE_SHORT	 = 'SHORT';

/** @const	string	VIEW_MODE_SIDE	view_mode֐̈Ffocus1Be */
const string VIEW_MODE_SIDE		 = 'SIDE';

/** @const	string	VIEW_MODE_ROUND	view_mode֐̈Ffocus1̎܂ */
const string VIEW_MODE_ROUND	 = 'ROUND';

/** @const	string	VIEW_MODE_FLIGHT	view_mode֐̈FHUD̎_֖߂ */
const string VIEW_MODE_FLIGHT	 = 'FLIGHT';

//------------------------------------------------------
//finish
//------------------------------------------------------
/** @const	string	FINISH_TYPE_CLEAR	finish֐̑F~bViŏIXe[WȂǎ̃~bVȂꍇj */
const string FINISH_TYPE_CLEAR		 = 'CLEAR';

/** @const	string	FINISH_TYPE_FAILED	finish֐̑F~bVs */
const string FINISH_TYPE_FAILED		 = 'FAILED';

/** @const	string	FINISH_TYPE_TIMEUP	finish֐̑FԐ؂ */
const string FINISH_TYPE_TIMEUP		 = 'TIMEUP';

/** @const	string	FINISH_TYPE_NEXTSTAGE	finish֐̑F~bVĩXe[Wցj̃Xe[W݂ȂꍇARSE.exe̓NbV */
const string FINISH_TYPE_NEXTSTAGE	 = 'NEXTSTAGE';

/** @const	int	FINISH_NEXT_CLEAR	finish֐̑FŏIXe[W */
const int FINISH_NEXT_CLEAR = 0;

/** @const	int	FINISH_NEXT_FAILED	finish֐̑F~bVs */
const int FINISH_NEXT_FAILED = 0;

/** @const	int	FINISH_NEXT_TIMEUP	finish֐̑FԐ؂ */
const int FINISH_NEXT_TIMEUP = 0;

//------------------------------------------------------
//get_account_status
//------------------------------------------------------
/** @const	string	ACCOUNT_STATUS_ACCOUNT	get_account_status֐̈FAJEgL̖₢킹 */
const string ACCOUNT_STATUS_ACCOUNT		 	 = 'ACCOUNT';

/** @const	string	ACCOUNT_STATUS_DESTROYED	get_account_status֐̈F팂Đ */
const string ACCOUNT_STATUS_DESTROYED	 	 = 'DESTROYED';

/** @const	string	ACCOUNT_STATUS_DESTROY_ALL	get_account_status֐̈FGj */
const string ACCOUNT_STATUS_DESTROY_ALL		 = 'DESTROY_ALL';

/** @const	string	ACCOUNT_STATUS_DESTROY_AIR	get_account_status֐̈F󒆓Gj */
const string ACCOUNT_STATUS_DESTROY_AIR	 	 = 'DESTROY_AIR';

/** @const	string	ACCOUNT_STATUS_DESTROY_GROUND	get_account_status֐̈FnGj */
const string ACCOUNT_STATUS_DESTROY_GROUND	 = 'DESTROY_GROUND';

/** @const	string	ACCOUNT_STATUS_DESTROY_RANK_C	get_account_status֐̈FCNvC[Gj */
const string ACCOUNT_STATUS_DESTROY_RANK_C	 = 'DESTROY_RANK_C';

/** @const	string	ACCOUNT_STATUS_DESTROY_RANK_B	get_account_status֐̈FBNvC[Gj */
const string ACCOUNT_STATUS_DESTROY_RANK_B	 = 'DESTROY_RANK_B';

/** @const	string	ACCOUNT_STATUS_DESTROY_RANK_A	get_account_status֐̈FANvC[Gj */
const string ACCOUNT_STATUS_DESTROY_RANK_A	 = 'DESTROY_RANK_A';

/** @const	string	ACCOUNT_STATUS_DESTROY_RANK_S	get_account_status֐̈FSNvC[j */
const string ACCOUNT_STATUS_DESTROY_RANK_S	 = 'DESTROY_RANK_S';

/** @const	string	ACCOUNT_STATUS_SCORE	get_account_status֐̈FT[oǗ̃XRA */
const string ACCOUNT_STATUS_SCORE		 	 = 'SCORE';

/** @const	string	ACCOUNT_STATUS_RANK	get_account_status֐̈FT[oǗ̃N */
const string ACCOUNT_STATUS_RANK			 = 'RANK';

//------------------------------------------------------
//get_clear_time
//------------------------------------------------------
/** @const	string	CLEAR_TIME_ACE	get_clear_time֐̈FՓxACE̍ŒZNA^C */
const string CLEAR_TIME_ACE			 = 'ACE';

/** @const	string	CLEAR_TIME_HARD	get_clear_time֐̈FՓxHARD̍ŒZNA^C */
const string CLEAR_TIME_HARD		 = 'HARD';

/** @const	string	CLEAR_TIME_NORMAL	get_clear_time֐̈FՓxNORMAL̍ŒZNA^C */
const string CLEAR_TIME_NORMAL		 = 'NORMAL';

/** @const	string	CLEAR_TIME_EASY	get_clear_time֐̈FՓxEASY̍ŒZNA^C */
const string CLEAR_TIME_EASY		 = 'EASY';

/** @const	string	CLEAR_TIME_ACE_EXT	get_clear_time֐̈FՓxACE̍ŒZrŃNA^C */
const string CLEAR_TIME_ACE_EXT		 = 'ACE_EXT';

/** @const	string	CLEAR_TIME_HARD_EXT	get_clear_time֐̈FՓxHARD̍ŒZrŃNA^C */
const string CLEAR_TIME_HARD_EXT	 = 'HARD_EXT';

/** @const	string	CLEAR_TIME_NORMAL_EXT	get_clear_time֐̈FՓxNORMAL̍ŒZrŃNA^C */
const string CLEAR_TIME_NORMAL_EXT	 = 'NORMAL_EXT';

/** @const	string	CLEAR_TIME_EASY_EXT	get_clear_time֐̈FՓxEASY̍ŒZrŃNA^C */
const string CLEAR_TIME_EASY_EXT	 = 'EASY_EXT';

//------------------------------------------------------
//get_status
//------------------------------------------------------
/** @const	string	STATUS_REST_TIME	get_status֐̈Fc莞 */
const string STATUS_REST_TIME				 = 'REST_TIME';

/** @const	string	STATUS_PROGRESS_TIME	get_status֐̈Foߎ */
const string STATUS_PROGRESS_TIME			 = 'PROGRESS_TIME';

/** @const	string	STATUS_PLAYERS_PLANE	get_status֐̈FvC[ */
const string STATUS_PLAYERS_PLANE			 = 'PLAYERS_PLANE';

/** @const	string	STATUS_PLAYERS_PYLON_MAIN	get_status֐̈FvC[C */
const string STATUS_PLAYERS_PYLON_MAIN		 = 'PLAYERS_MAIN_WEAPON';

/** @const	string	STATUS_PLAYERS_PYLON_SUB	get_status֐̈FvC[Tu */
const string STATUS_PLAYERS_PYLON_SUB		 = 'PLAYERS_SUB_WEAPON';

/** @const	string	STATUS_PLAYERS_PYLON_CENTER	get_status֐̈FvC[Z^[ */
const string STATUS_PLAYERS_PYLON_CENTER	 = 'PLAYERS_CENTERWEAPON';

/** @const	string	STATUS_AIR_ENEMY	get_status֐̈F󒆂̓G */
const string STATUS_AIR_ENEMY				 = 'AIR_ENEMY';

/** @const	string	STATUS_AIR_TARGET	get_status֐̈F󒆂̃^[Qbg */
const string STATUS_AIR_TARGET				 = 'AIR_TARGET';

/** @const	string	STATUS_AIR_FRIEND	get_status֐̈F󒆂̗FR@ */
const string STATUS_AIR_FRIEND				 = 'AIR_FRIEND';

/** @const	string	STATUS_GROUND_ENEMY	get_status֐̈Fn̓G */
const string STATUS_GROUND_ENEMY			 = 'GROUND_ENEMY';

/** @const	string	STATUS_GROUND_TARGET	get_status֐̈Fñ^[Qbg */
const string STATUS_GROUND_TARGET			 = 'GROUND_TARGET';

/** @const	string	STATUS_GROUND_FRIEND	get_status֐̈Fn̗FR */
const string STATUS_GROUND_FRIEND			 = 'GROUND_FRIEND';

/** @const	string	STATUS_ALL_ENEMY	get_status֐̈FSĂ̓G */
const string STATUS_ALL_ENEMY				 = 'ALL_ENEMY';

/** @const	string	STATUS_ALL_TARGET	get_status֐̈FSẴ^[Qbg */
const string STATUS_ALL_TARGET				 = 'ALL_TARGET';

/** @const	string	STATUS_ALL_FRIEND	get_status֐̈FSĂ̗FR */
const string STATUS_ALL_FRIEND				 = 'ALL_FRIEND';

/** @const	string	STATUS_AIR_ENEMY_DESTROYED	get_status֐̈F󒆂̓G̔j */
const string STATUS_AIR_ENEMY_DESTROYED		 = 'AIR_ENEMY_DESTROYED';

/** @const	string	STATUS_AIR_TARGET_DESTROYED	get_status֐̈F󒆂̃^[Qbg̔j */
const string STATUS_AIR_TARGET_DESTROYED	 = 'AIR_TARGET_DESTROYED';

/** @const	string	STATUS_AIR_FRIEND_DESTROYED	get_status֐̈F󒆂̗FR@̔j */
const string STATUS_AIR_FRIEND_DESTROYED	 = 'AIR_FRIEND_DESTROYED';

/** @const	string	STATUS_GROUND_ENEMY_DESTROYED	get_status֐̈Fn̓G̔j */
const string STATUS_GROUND_ENEMY_DESTROYED	 = 'GROUND_ENEMY_DESTROYED';

/** @const	string	STATUS_GROUND_TARGET_DESTROYED	get_status֐̈Fñ^[Qbg̔j */
const string STATUS_GROUND_TARGET_DESTROYED	 = 'GROUND_TARGET_DESTROYED';

/** @const	string	STATUS_GROUND_FRIEND_DESTROYED	get_status֐̈Fn̗FR̔j */
const string STATUS_GROUND_FRIEND_DESTROYED	 = 'GROUND_FRIEND_DESTROYED';

/** @const	string	STATUS_ALL_ENEMY_DESTROYED	get_status֐̈FSĂ̓G̔j */
const string STATUS_ALL_ENEMY_DESTROYED		 = 'ALL_ENEMY_DESTROYED';

/** @const	string	STATUS_ALL_TARGET_DESTROYED	get_status֐̈FSẴ^[Qbg̔j */
const string STATUS_ALL_TARGET_DESTROYED	 = 'ALL_TARGET_DESTROYED';

/** @const	string	STATUS_ALL_FRIEND_DESTROYED	get_status֐̈FSĂ̗FR̔j */
const string STATUS_ALL_FRIEND_DESTROYED	 = 'ALL_FRIEND_DESTROYED';

/** @const	string	STATUS_ALL_LABEL	get_status֐̈FxɕRtjbg̐ */
const string STATUS_ALL_LABEL				 = 'ALL_LABEL';

/** @const	string	STATUS_DAMAGE_LABEL	get_status֐̈FR[htGɗ^݌v_[W */
const string STATUS_DAMAGE_LABEL			 = 'DAMAGE_LABEL';

/** @const	string	STATUS_DAMAGE_PLAYER	get_status֐̈FvC[_[W */
const string STATUS_DAMAGE_PLAYER			 = 'DAMAGE_PLAYER';

/** @const	string	STATUS_LEVEL	get_status֐̈F݃x */
const string STATUS_LEVEL					 = 'LEVEL';

/** @const	string	STATUS_NETWORK_ID	get_status֐̈F̃lbg[NINDEX */
const string STATUS_NETWORK_ID				 = 'NETWORK_ID';

/** @const	string	STATUS_NETWORK_TOTAL	get_status֐̈Flbg[N */
const string STATUS_NETWORK_TOTAL			 = 'NETWORK_NUM';

//------------------------------------------------------
//play_wave
//fade_wave
//stop_wave
//------------------------------------------------------
/** @const	string	WAVE_BGM	play_wave, fade_wave, stop_wave֐̈Fy */
const string WAVE_BGM	 = 'BGM';

/** @const	string	WAVE_VOICE	play_wave, fade_wave, stop_wave֐̈F */
const string WAVE_VOICE	 = 'VOICE';

//------------------------------------------------------
//rule_system
//------------------------------------------------------
/** @const	string	RULE_REVIVAL_OK	rule_system֐̈FA */
const string RULE_REVIVAL_OK = 'OK_REVIVAL';

/** @const	string	RULE_REVIVAL_NO	rule_system֐̈FiV */
const string RULE_REVIVAL_NO = 'NO_REVIVAL';

//------------------------------------------------------
//get_pad_now
//get_pad_trg
//------------------------------------------------------
/** @const	string	PAD_UP	get_pad_now, get_pad_trg֐̈FL[ */
const string PAD_UP			 = 'PAD_UP';

/** @const	string	PAD_DOWN	get_pad_now, get_pad_trg֐̈FL[ */
const string PAD_DOWN		 = 'PAD_DOWN';

/** @const	string	PAD_RIGHT	get_pad_now, get_pad_trg֐̈FL[ */
const string PAD_RIGHT		 = 'PAD_RIGHT';

/** @const	string	PAD_LEFT	get_pad_now, get_pad_trg֐̈FL[ */
const string PAD_LEFT		 = 'PAD_LEFT';

/** @const	string	PAD_GUN	get_pad_now, get_pad_trg֐̈FK{^ */
const string PAD_GUN		 = 'PAD_GUN';

/** @const	string	PAD_MISSILE	get_pad_now, get_pad_trg֐̈F~TC{^ */
const string PAD_MISSILE	 = 'PAD_MISSILE';

/** @const	string	PAD_WEAPON	get_pad_now, get_pad_trg֐̈FpC؂ւ{^ */
const string PAD_WEAPON		 = 'PAD_WEAPON';

/** @const	string	PAD_TARGET1	get_pad_now, get_pad_trg֐̈F^[Qbg؂ւ{^ij */
const string PAD_TARGET1	 = 'PAD_TARGET1';

/** @const	string	PAD_TARGET2	get_pad_now, get_pad_trg֐̈F^[Qbg؂ւ{^itj */
const string PAD_TARGET2	 = 'PAD_TARGET2';

/** @const	string	KEY_F1	get_pad_now, get_pad_trg֐̈FF1L[i_؂ւƋ̂Ŏgpsj */
const string KEY_F1			 = 'KEY_F1';

/** @const	string	KEY_F2	get_pad_now, get_pad_trg֐̈FF2L[ */
const string KEY_F2			 = 'KEY_F2';

/** @const	string	KEY_F3	get_pad_now, get_pad_trg֐̈FF3L[ */
const string KEY_F3			 = 'KEY_F3';

/** @const	string	KEY_F4	get_pad_now, get_pad_trg֐̈FF4L[ */
const string KEY_F4			 = 'KEY_F4';

/** @const	string	KEY_F5	get_pad_now, get_pad_trg֐̈FF5L[ */
const string KEY_F5			 = 'KEY_F5';

/** @const	string	KEY_F6	get_pad_now, get_pad_trg֐̈FF6L[ */
const string KEY_F6			 = 'KEY_F6';

/** @const	string	KEY_F7	get_pad_now, get_pad_trg֐̈FF7L[ */
const string KEY_F7			 = 'KEY_F7';

/** @const	string	KEY_F8	get_pad_now, get_pad_trg֐̈FF8L[ */
const string KEY_F8			 = 'KEY_F8';

/** @const	string	KEY_F9	get_pad_now, get_pad_trg֐̈FF9L[ */
const string KEY_F9			 = 'KEY_F9';

/** @const	string	KEY_F10	get_pad_now, get_pad_trg֐̈FF10L[ij[\Ƌ̂Ŏgpsj */
const string KEY_F10		 = 'KEY_F10';

/** @const	string	KEY_F11	get_pad_now, get_pad_trg֐̈FF11L[ */
const string KEY_F11		 = 'KEY_F11';

/** @const	string	KEY_F12	get_pad_now, get_pad_trg֐̈FF12L[ */
const string KEY_F12		 = 'KEY_F12';

/** @const	string	KEY_1	get_pad_now, get_pad_trg֐̈FL[ 1 */
const string KEY_1			 = 'KEY_1';

/** @const	string	KEY_2	get_pad_now, get_pad_trg֐̈FL[ 2 */
const string KEY_2			 = 'KEY_2';

/** @const	string	KEY_3	get_pad_now, get_pad_trg֐̈FL[ 3 */
const string KEY_3			 = 'KEY_3';

/** @const	string	KEY_4	get_pad_now, get_pad_trg֐̈FL[ 4 */
const string KEY_4			 = 'KEY_4';

/** @const	string	KEY_5	get_pad_now, get_pad_trg֐̈FL[ 5 */
const string KEY_5			 = 'KEY_5';

/** @const	string	KEY_6	get_pad_now, get_pad_trg֐̈FL[ 6 */
const string KEY_6			 = 'KEY_6';

/** @const	string	KEY_7	get_pad_now, get_pad_trg֐̈FL[ 7 */
const string KEY_7			 = 'KEY_7';

/** @const	string	KEY_8	get_pad_now, get_pad_trg֐̈FL[ 8 */
const string KEY_8			 = 'KEY_8';

/** @const	string	KEY_9	get_pad_now, get_pad_trg֐̈FL[ 9 */
const string KEY_9			 = 'KEY_9';

/** @const	string	KEY_0	get_pad_now, get_pad_trg֐̈FL[ 0 */
const string KEY_0			 = 'KEY_0';

//------------------------------------------------------
//get_pad_analog
//------------------------------------------------------
/** @const	int	PAD_ANALOG_ROLL	get_pad_analogp萔F[擾 */
const string PAD_ANALOG_ROLL		 = 'ROLL';

/** @const	int	PAD_ANALOG_PITCH	get_pad_analogp萔Fsb`擾 */
const string PAD_ANALOG_PITCH		 = 'PITCH';

/** @const	int	PAD_ANALOG_THROTTLE	get_pad_analogp萔FXbg擾 */
const string PAD_ANALOG_THROTTLE	 = 'THROTTLE';

/** @const	int	PAD_ANALOG_YAW	get_pad_analogp萔F[擾 */
const string PAD_ANALOG_YAW			 = 'YAW';

//------------------------------------------------------
//hud_system
//------------------------------------------------------
/** @const	string	HUD_MAP_FRIENDLY	hud_system֐̈FFR@HUD\ */
const string HUD_MAP_FRIENDLY	 = 'HUD_FRIEND';

/** @const	string	HUD_MAP_NO	hud_system֐̈FS̃}bvgp֎~ */
const string HUD_MAP_NO			 = 'NO_MAP';

/** @const	string	HUD_MAP_OK	hud_system֐̈FS̃}bvgp */
const string HUD_MAP_OK			 = 'OK_MAP';

//------------------------------------------------------
//stop_weapon
//get_ammo
//------------------------------------------------------
/** @const	string	PYLON_MAIN	CpCFstop_weapon֐Aget_ammo֐̈Ɏg */
const string PYLON_MAIN		 = 'MAIN';

/** @const	string	PYLON_SUB	TupCFstop_weapon֐Aget_ammo֐̈Ɏg */
const string PYLON_SUB		 = 'SUB';

/** @const	string	PYLON_CENTER	Z^[pCFstop_weapon֐Aget_ammo֐̈Ɏg */
const string PYLON_CENTER	 = 'CENTER';

/** @const	string	GUN	KFstop_weapon֐̈Ɏg */
const string GUN			 = 'GUN';

/** @const	int	STOP	stop_weapon֐̈F̃bN */
const int STOP	 = TRUE;

/** @const	int	START	stop_weapon֐̈F̃AbN */
const int START	 = FALSE;

//------------------------------------------------------
//message
//------------------------------------------------------
/** @const	string	MESSAGE_TYPE_COMMUNICATION	message֐̈FFRԒʐM F */
const string MESSAGE_TYPE_COMMUNICATION	 = 'BLUE';

/** @const	string	MESSAGE_TYPE_INTERCEPT	message֐̈FGʐMT ԐF */
const string MESSAGE_TYPE_INTERCEPT		 = 'RED';

/** @const	string	MESSAGE_TYPE_BROADCAST	message֐̈Fu[hLXg F */
const string MESSAGE_TYPE_BROADCAST		 = 'YELLOW';

//------------------------------------------------------
//set_label_online_id
//------------------------------------------------------
/** @const	int	ONLINE_ID_SERVER	set_label_online_id֐̈FT[oID */
const int ONLINE_ID_SERVER = 0;

//------------------------------------------------------
//set_original_param
//------------------------------------------------------
/** @const	int	USE_ORIGINAL_PARAM_COMMON	set_original_param֐̈Fʃp[^KpiftHglj */
const int USE_ORIGINAL_PARAM_COMMON						 = 0;	//

/** @const	int	USE_ORIGINAL_PARAM_TURNING	set_original_param֐̈Fu񐫁vɂċ@̌ŗL̃p[^Kp */
const int USE_ORIGINAL_PARAM_TURNING					 = 1;

/** @const	int	USE_ORIGINAL_PARAM_STABILITY	set_original_param֐̈Fu萫vɂċ@̌ŗL̃p[^Kp */
const int USE_ORIGINAL_PARAM_STABILITY					 = 2;

/** @const	int	USE_ORIGINAL_PARAM_TURNING_STABILITY	set_original_param֐̈Fu񐫁vu萫vɂċ@̌ŗL̃p[^Kp */
const int USE_ORIGINAL_PARAM_TURNING_STABILITY			 = 3;

/** @const	int	USE_ORIGINAL_PARAM_VECTOR	set_original_param֐̈FuxN^[lvɂċ@̌ŗL̃p[^Kp */
const int USE_ORIGINAL_PARAM_VECTOR						 = 4;

/** @const	int	USE_ORIGINAL_PARAM_TURNING_VECTOR	set_original_param֐̈Fu񐫁vuxN^[lvɂċ@̌ŗL̃p[^Kp */
const int USE_ORIGINAL_PARAM_TURNING_VECTOR				 = 5;

/** @const	int	USE_ORIGINAL_PARAM_STABILITY_VECTOR	set_original_param֐̈Fu萫vuxN^[lvɂċ@̌ŗL̃p[^Kp */
const int USE_ORIGINAL_PARAM_STABILITY_VECTOR			 = 6;

/** @const	int	USE_ORIGINAL_PARAM_TURNING_STABILITY_VECTOR	set_original_param֐̈Fu񐫁vu萫vuxN^[lvɂċ@̌ŗL̃p[^Kp */
const int USE_ORIGINAL_PARAM_TURNING_STABILITY_VECTOR	 = 7;

//------------------------------------------------------
//set_section
//------------------------------------------------------
//Raiders
/** @const	int	SECTION_CD_RAIDERS_DEFAULT	set_section֐̈FRaidersFftHg */
const int SECTION_CD_RAIDERS_DEFAULT = 0;

/** @const	int	SECTION_CD_RAIDERS_STOP	set_section֐̈FRaidersF󒆐Î~ */
const int SECTION_CD_RAIDERS_HOVERING = 30;

/** @const	int	SECTION_CD_RAIDERS_TAKE_OFF	set_section֐̈FRaidersF */
const int SECTION_CD_RAIDERS_TAKE_OFF = 100;

/** @const	int	SECTION_CD_RAIDERS_RAINFORCEMENT	set_section֐̈FRaidersF */
const int SECTION_CD_RAIDERS_RAINFORCEMENT = 102;

/** @const	int	SECTION_CD_RAIDERS_SCRIPT_CONTROL	set_section֐̈FRaidersFXNvg */
const int SECTION_CD_RAIDERS_SCRIPT_CONTROL = 200;

//C
/** @const	int	SECTION_CD_CANNON_DEFAULT	set_section֐̈FCFftHg */
const int SECTION_CD_CANNON_DEFAULT = 0;

/** @const	int	SECTION_CD_CANNON_HOLD_FIRE	set_section֐̈FCFˌ~ */
const int SECTION_CD_CANNON_HOLD_FIRE = 30;

/** @const	int	SECTION_CD_CANNON_ONE_FIRE	set_section֐̈FCF1ˌ */
const int SECTION_CD_CANNON_ONE_FIRE = 40;

//ԗ
/** @const	int	SECTION_CD_VEHICLE_GO_AHEAD	set_section֐̈FԗFs */
const int SECTION_CD_VEHICLE_GO_AHEAD = 100;

//D
/** @const	int	SECTION_CD_SHIP_GO_AHEAD	set_section֐̈FDFs */
const int SECTION_CD_SHIP_GO_AHEAD = 0;

/** @const	int	SECTION_CD_SHIP_STOP	set_section֐̈FDF~iƂ1ȊOSHj */
const int SECTION_CD_SHIP_STOP = 1;

//TOYBOX
/** @const	int	SECTION_CD_TOYBOX_DEFAULT	set_section֐̈FTOYBOXFȂɂȂ */
const int SECTION_CD_TOYBOX_DEFAULT = 0;

/** @const	int	SECTION_CD_TOYBOX_THUNDER	set_section֐̈FTOYBOXF */
const int SECTION_CD_TOYBOX_THUNDER = 1;

/** @const	int	SECTION_CD_TOYBOX_ECM	set_section֐̈FTOYBOXFECM */
const int SECTION_CD_TOYBOX_ECM = 10;

/** @const	int	SECTION_CD_TOYBOX_ECM_ENEMY	set_section֐̈FTOYBOXFECM(GR̂) */
const int SECTION_CD_TOYBOX_ECM_ENEMY = 11;

/** @const	int	SECTION_CD_TOYBOX_ECM_FRIENDLY	set_section֐̈FTOYBOXFECM(R̂) */
const int SECTION_CD_TOYBOX_ECM_FRIENDLY = 12;

/** @const	int	SECTION_CD_TOYBOX_ECM_PLAYER	set_section֐̈FTOYBOXFECM(vC[̂) */
const int SECTION_CD_TOYBOX_ECM_PLAYER = 13;

/** @const	int	SECTION_CD_TOYBOX_AEGIS_MISSILE_CARNIVAL	set_section֐̈FTOYBOXFC[WXVXẽ~TC */
const int SECTION_CD_TOYBOX_AEGIS_MISSILE_CARNIVAL = 20;

/** @const	int	SECTION_CD_TOYBOX_HELICOPTER	set_section֐̈FTOYBOXFvyi㉺𒆐Sɉ]j */
const int SECTION_CD_TOYBOX_HELICOPTER = 30;

/** @const	int	SECTION_CD_TOYBOX_PROPELLER	set_section֐̈FTOYBOXFvyiO㎲𒆐Sɉ]j */
const int SECTION_CD_TOYBOX_PROPELLER = 31;

/** @const	int	SECTION_CD_TOYBOX_DUST	set_section֐̈FTOYBOXFjЁi邭]ĎRj */
const int SECTION_CD_TOYBOX_DUST = 40;

//------------------------------------------------------
//set_environment
//------------------------------------------------------
/** @const	int	ENVIROMENT_ID_MOSTLY_SUNNY_DAYTIME_01	set_environment֐̈Fꒋ */
const int ENVIROMENT_ID_MOSTLY_SUNNY_DAYTIME_01 = 0;

/** @const	int	ENVIROMENT_ID_MOSTLY_SUNNY_DAYTIME_02	set_environment֐̈Fꒋ */
const int ENVIROMENT_ID_MOSTLY_SUNNY_DAYTIME_02 = 1;

/** @const	int	ENVIROMENT_ID_MOSTLY_SUNNY_DAYTIME_03	set_environment֐̈Fꒋ */
const int ENVIROMENT_ID_MOSTLY_SUNNY_DAYTIME_03 = 2;

/** @const	int	ENVIROMENT_ID_MOSTLY_SUNNY_DAYTIME_04	set_environment֐̈Fꒋ */
const int ENVIROMENT_ID_MOSTLY_SUNNY_DAYTIME_04 = 3;

/** @const	int	ENVIROMENT_ID_MOSTLY_SUNNY_DAYTIME_05	set_environment֐̈Fꒋ */
const int ENVIROMENT_ID_MOSTLY_SUNNY_DAYTIME_05 = 4;

/** @const	int	ENVIROMENT_ID_MOSTLY_SUNNY_EVENING_01	set_environment֐̈F[ */
const int ENVIROMENT_ID_MOSTLY_SUNNY_EVENING_01 = 5;

/** @const	int	ENVIROMENT_ID_MOSTLY_SUNNY_EVENING_02	set_environment֐̈F[ */
const int ENVIROMENT_ID_MOSTLY_SUNNY_EVENING_02 = 6;

/** @const	int	ENVIROMENT_ID_MOSTLY_SUNNY_MORNING_GLOW_01	set_environment֐̈F꒩Ă */
const int ENVIROMENT_ID_MOSTLY_SUNNY_MORNING_GLOW_01 = 7;

/** @const	int	ENVIROMENT_ID_MOSTLY_SUNNY_MORNING_GLOW_02	set_environment֐̈F꒩Ă */
const int ENVIROMENT_ID_MOSTLY_SUNNY_MORNING_GLOW_02 = 8;

/** @const	int	ENVIROMENT_ID_MOSTLY_SUNNY_NIGHTTIME_01	set_environment֐̈F(Zn┭dȂǁAꕔjbg͖ԂɏoȂ) */
const int ENVIROMENT_ID_MOSTLY_SUNNY_NIGHTTIME_01 = 9;

/** @const	int	ENVIROMENT_ID_OVERCAST_DAYTIME_01	set_environment֐̈F܂蒋 */
const int ENVIROMENT_ID_OVERCAST_DAYTIME_01 = 10;

/** @const	int	ENVIROMENT_ID_OVERCAST_NIGHTTIME_02	set_environment֐̈F܂ */
const int ENVIROMENT_ID_OVERCAST_NIGHTTIME_02 = 11;

/** @const	int	ENVIROMENT_ID_FOG_NIGHTTIME_01	set_environment֐̈FZ */
const int ENVIROMENT_ID_FOG_NIGHTTIME_01 = 12;

/** @const	int	ENVIROMENT_ID_SNOW_01	set_environment֐̈F~ */
const int ENVIROMENT_ID_SNOW_01 = 13;

/** @const	int	ENVIROMENT_ID_RAIN_01	set_environment֐̈FJV */
const int ENVIROMENT_ID_RAIN_01 = 14;

/** @const	int	ENVIROMENT_ID_HEAVY_RAIN_01	set_environment֐̈FJ */
const int ENVIROMENT_ID_HEAVY_RAIN_01 = 15;

/** @const	int	ENVIROMENT_ID_NIGHT_VISION_01	set_environment֐̈FÎS[O */
const int ENVIROMENT_ID_NIGHT_VISION_01 = 16;

/** @const	int	ENVIROMENT_ID_STARRY_SKY_01	set_environment֐̈F */
const int ENVIROMENT_ID_STARRY_SKY_01 = 17;

/** @const	int	ENVIROMENT_ID_SPACE_01	set_environment֐̈FF1 */
const int ENVIROMENT_ID_SPACE_01 = 18;

/** @const	int	ENVIROMENT_ID_SPACE_02	set_environment֐̈FF2 */
const int ENVIROMENT_ID_SPACE_02 = 19;

/** @const	int	ENVIROMENT_ID_SPACE_03	set_environment֐̈FF3 */
const int ENVIROMENT_ID_SPACE_03 = 20;

//------------------------------------------------------
//load_se
//------------------------------------------------------
/** @const	int	SE_NO_MENU_ENTER	load_seFj[IF */
const int SE_NO_MENU_ENTER = 1;

/** @const	int	SE_NO_MENU_COMPLETE	load_seFj[IFI */
const int SE_NO_MENU_COMPLETE = 2;

/** @const	int	SE_NO_MENU_CANCEL	load_seFj[IFLZ */
const int SE_NO_MENU_CANCEL = 3;

/** @const	int	SE_NO_MENU_NON_SELECTION	load_seFj[IFIs\ */
const int SE_NO_MENU_NON_SELECTION = 4;

/** @const	int	SE_NO_MENU_CURSOR	load_seFj[IFJ[\ړ */
const int SE_NO_MENU_CURSOR = 5;

/** @const	int	SE_NO_UNKOWN_1	load_seF͕s\igpĂȂ\j */
const int SE_NO_UNKOWN_1 = 6;

/** @const	int	SE_NO_ENEMY_ENGINE	load_seFG@̃GW */
const int SE_NO_ENGINE_ENEMY = 7;

/** @const	int	SE_NO_ENGINE_BURMER	load_seFGW1 */
const int SE_NO_ENGINE_BURMER = 8;

/** @const	int	SE_NO_UNKOWN_2	load_seF͕s\igpĂȂ\j */
const int SE_NO_UNKOWN_2 = 9;

/** @const	int	SE_NO_ENGINE_TURBINE	load_seFGW2i1gႢj */
const int SE_NO_ENGINE_TURBINE = 10;

/** @const	int	SE_NO_CRASH	load_seF@ė */
const int SE_NO_CRASH = 11;

/** @const	int	SE_NO_DESTRUCTION	load_seF@nʂɏՓˁAіڕWj鎞̔ */
const int SE_NO_DESTRUCTION = 12;

/** @const	int	SE_NO_SHOCK_WAVE	load_seF~TC̔Ռg鎞̔ */
const int SE_NO_SHOCK_WAVE = 13;

/** @const	int	SE_NO_GUN_KILL	load_seF@eŖڕWj󂵂 */
const int SE_NO_GUN_KILL = 14;

/** @const	int	SE_NO_GUN_HIT_1	load_seF@e1 */
const int SE_NO_GUN_HIT_1 = 15;

/** @const	int	SE_NO_GUN_HIT_2	load_seF@e2 */
const int SE_NO_GUN_HIT_2 = 16;

/** @const	int	SE_NO_CANNON_HIT	load_seFOl[heiɃLḿj */
const int SE_NO_CANNON_HIT = 17;

/** @const	int	SE_NO_TRACKING	load_seF~TCƏF[v|Cgŝߐݒ肷ƃoỎ\ */
const int SE_NO_TRACKING = 18;

/** @const	int	SE_NO_LOCK_ON	load_seF~TCbNIF[v|Cgŝߐݒ肷ƃoỎ\ */
const int SE_NO_LOCK_ON = 19;

/** @const	int	SE_NO_LOCK_ON_ALERT	load_seFG@@_ĂxF[v|Cgŝߐݒ肷ƃoỎ\ */
const int SE_NO_LOCK_ON_ALERT = 20;

/** @const	int	SE_NO_MISSILE_ALERT	load_seF~TCǔxF[v|Cgŝߐݒ肷ƃoỎ\ */
const int SE_NO_MISSILE_ALERT = 21;

/** @const	int	SE_NO_DAMAGE_ALERT	load_seF@̃_[Wx */
const int SE_NO_DAMAGE_ALERT = 22;

/** @const	int	SE_NO_PYLON_RELOAD	load_seFpC[h */
const int SE_NO_PYLON_RELOAD = 23;

/** @const	int	SE_NO_PYLON_CHANGE	load_seFpCύXFe */
const int SE_NO_PYLON_CHANGE = 24;

/** @const	int	SE_NO_PYLON_SHOOT	load_seF~TCˏo */
const int SE_NO_PYLON_SHOOT = 25;

/** @const	int	SE_NO_GUN_SHOOT	load_seFʏe@e̔ˉ */
const int SE_NO_GUN_SHOOT = 26;

/** @const	int	SE_NO_CANNON_SHOOT	load_seFLmˉ */
const int SE_NO_CANNON_SHOOT = 27;

/** @const	int	SE_NO_UNKOWN_3	load_seF͕s\igpĂȂ\j */
const int SE_NO_UNKOWN_3 = 28;

/** @const	int	SE_NO_UNKOWN_4	load_seF͕s\igpĂȂ\j */
const int SE_NO_UNKOWN_4 = 29;

/** @const	int	SE_NO_BRIEFING_CURSOR	load_seFu[tBO_ړ̉ */
const int SE_NO_BRIEFING_CURSOR = 30;

/** @const	int	SE_NO_CHAIN_GUN_SPIN_UP	load_seF`F[KJn̉ */
const int SE_NO_CHAIN_GUN_SPIN_UP = 31;

/** @const	int	SE_NO_CHAIN_GUN_SHOOT	load_seF`F[Kˉ */
const int SE_NO_CHAIN_GUN_SHOOT = 32;

/** @const	int	SE_NO_UNKOWN_5	load_seF͕s\igpĂȂ\j */
const int SE_NO_UNKOWN_5 = 33;

/** @const	int	SE_NO_UNKOWN_6	load_seF͕s\igpĂȂ\j */
const int SE_NO_UNKOWN_6 = 34;

/** @const	int	SE_NO_UNKOWN_7	load_seF͕s\igpĂȂ\j */
const int SE_NO_UNKOWN_7 = 35;

/** @const	int	SE_NO_UNKOWN_8	load_seF͕s\igpĂȂ\j */
const int SE_NO_UNKOWN_8 = 36;

/** @const	int	SE_NO_UNKOWN_9	load_seF͕s\igpĂȂ\j */
const int SE_NO_UNKOWN_9 = 37;

/** @const	int	SE_NO_BEAM_GUN_SHOOT	load_seFr[e@e̔ˉ */
const int SE_NO_BEAM_GUN_SHOOT = 38;

/** @const	int	SE_NO_LASER_SHOOT	load_seF[U[ˉ */
const int SE_NO_LASER_SHOOT = 39;

/** @const	int	SE_NO_LOADING	load_seF~bVJn鎞LOADING */
const int SE_NO_LOADING = 40;

//======================================================
//BGMt@C萔
//======================================================
//------------------------------------------------------
//RaidersSphere
//------------------------------------------------------
/** @const	string	BGM_RS1_ENDING_FILE_NAME	RS1BGM:RaidersSphere GfBO title:EVERYDAYS author:cpv */
const string BGM_RS1_ENDING_FILE_NAME = 'rs2_ending2.rad';

//------------------------------------------------------
//RaidersSphere Second `the Hidden Script`
//------------------------------------------------------
/** @const	string	BGM_RS2_INTRODUCTION_FILE_NAME	RS2BGM:Cg_NV title:STRATEGIST author:Ęm\ */
const string BGM_RS2_INTRODUCTION_FILE_NAME = 'rs2_introduction.rad';

/** @const	string	BGM_RS2_BRIEFING_FILE_NAME	RS2BGM:u[tBO title:TIGHT MISSION author:tool- */
const string BGM_RS2_BRIEFING_FILE_NAME = 'rs2_briefing.rad';

/** @const	string	BGM_RS2_SELECT_FILE_NAME	RS2BGM:@EI title:SCRAMBLE author:cpv */
const string BGM_RS2_SELECT_FILE_NAME = 'rs2_selection.rad';

/** @const	string	BGM_RS2_A_01_FILE_NAME	RS2BGM:A-01 title:SUNNY DAYS author:Ęm\ */
const string BGM_RS2_A_01_FILE_NAME = 'rs2_a01.rad';

/** @const	string	BGM_RS2_A_02_FILE_NAME	RS2BGM:A-02 title:TANK BANKER author:tool- */
const string BGM_RS2_A_02_FILE_NAME = 'rs2_a02.rad';

/** @const	string	BGM_RS2_A_03_FILE_NAME	RS2BGM:A-03 title:MECHANICALPOLICS author:tool- */
const string BGM_RS2_A_03_FILE_NAME = 'rs2_a03.rad';

/** @const	string	BGM_RS2_A_04_FILE_NAME	RS2BGM:A-04 title:HEAVY METALLIKE FORTRESS author:tool- */
const string BGM_RS2_A_04_FILE_NAME = 'rs2_a04.rad';

/** @const	string	BGM_RS2_A_05_FILE_NAME	RS2BGM:A-05 title:PRIDAWN ASSASSIN author:cpv */
const string BGM_RS2_A_05_FILE_NAME = 'rs2_a05.rad';

/** @const	string	BGM_RS2_A_06_FILE_NAME	RS2BGM:A-06 title:END OF THE FRONT author:tool- */
const string BGM_RS2_A_06_FILE_NAME = 'rs2_a06.rad';

/** @const	string	BGM_RS2_A_07_FILE_NAME	RS2BGM:A-07 title:TURING MACHINE author:Ęm\ */
const string BGM_RS2_A_07_FILE_NAME = 'rs2_a07.rad';

/** @const	string	BGM_RS2_A_08_FILE_NAME	RS2BGM:A-08 title:THE WAR OF ATTRITION author:tool- */
const string BGM_RS2_A_08_FILE_NAME = 'rs2_a08.rad';

/** @const	string	BGM_RS2_A_09_FILE_NAME	RS2BGM:A-09 title:TOP OF THE METROPOLITAN author:tool- */
const string BGM_RS2_A_09_FILE_NAME = 'rs2_a09.rad';

/** @const	string	BGM_RS2_A_10_FILE_NAME	RS2BGM:A-10 title:FAINALIST author:tool- */
const string BGM_RS2_A_10_FILE_NAME = 'rs2_a10.rad';

/** @const	string	BGM_RS2_B_01_FILE_NAME	RS2BGM:B-01 title:SURVIVAL author:Ęm\ */
const string BGM_RS2_B_01_FILE_NAME = 'rs2_b01.rad';

/** @const	string	BGM_RS2_B_02_FILE_NAME	RS2BGM:B-02 title:FIRST HUGE BULLET author:cpv */
const string BGM_RS2_B_02_FILE_NAME = 'rs2_b02.rad';

/** @const	string	BGM_RS2_B_03_FILE_NAME	RS2BGM:B-03 title:HIGH SPEED DRUNKARD author:cpv */
const string BGM_RS2_B_03_FILE_NAME = 'rs2_b03.rad';

/** @const	string	BGM_RS2_B_04_FILE_NAME	RS2BGM:B-04 title:A SHOWER OF BULLETS author:tool- */
const string BGM_RS2_B_04_FILE_NAME = 'rs2_b04.rad';

/** @const	string	BGM_RS2_B_05_FILE_NAME	RS2BGM:B-05 title:EXTREME FOGGY PASS author:Ęm\ */
const string BGM_RS2_B_05_FILE_NAME = 'rs2_b05.rad';

/** @const	string	BGM_RS2_B_06_FILE_NAME	RS2BGM:B-06 title:RAYS FIELD author:tool- */
const string BGM_RS2_B_06_FILE_NAME = 'rs2_b06.rad';

/** @const	string	BGM_RS2_B_07_FILE_NAME	RS2BGM:B-07 title:STOPPING POWER author:tool- */
const string BGM_RS2_B_07_FILE_NAME = 'rs2_b07.rad';

/** @const	string	BGM_RS2_B_08_FILE_NAME	RS2BGM:B-08 title:FINDER KEEPERS author:cpv */
const string BGM_RS2_B_08_FILE_NAME = 'rs2_b08.rad';

/** @const	string	BGM_RS2_B_09_FILE_NAME	RS2BGM:B-09 title:NIGHT BREAKER author:Ęm\ */
const string BGM_RS2_B_09_FILE_NAME = 'rs2_b09.rad';

/** @const	string	BGM_RS2_B_10_FILE_NAME	RS2BGM:B-10 title:THE TOTAL OPERATION author:tool- */
const string BGM_RS2_B_10_FILE_NAME = 'rs2_b10.rad';

/** @const	string	BGM_RS2_C_01_FILE_NAME	RS2BGM:C-01 title:PARTY IN THE DARKNESS author:Ęm\ */
const string BGM_RS2_C_01_FILE_NAME = 'rs2_c01.rad';

/** @const	string	BGM_RS2_C_02_FILE_NAME	RS2BGM:C-02 title:SOUND THE CHARGE author:Ęm\ */
const string BGM_RS2_C_02_FILE_NAME = 'rs2_c02.rad';

/** @const	string	BGM_RS2_C_03_FILE_NAME	RS2BGM:C-03 title:CURSED CASTLE author:cpv */
const string BGM_RS2_C_03_FILE_NAME = 'rs2_c03.rad';

/** @const	string	BGM_RS2_C_04_FILE_NAME	RS2BGM:C-04 title:HORIZONTAL THUNDER author:cpv */
const string BGM_RS2_C_04_FILE_NAME = 'rs2_c04.rad';

/** @const	string	BGM_RS2_C_05_FILE_NAME	RS2BGM:C-05 title:GALACTIC HAMMER author:tool- */
const string BGM_RS2_C_05_FILE_NAME = 'rs2_c05.rad';

/** @const	string	BGM_RS2_C_06_FILE_NAME	RS2BGM:C-06 title:SC-RAM-JET author:Ęm\ */
const string BGM_RS2_C_06_FILE_NAME = 'rs2_c06.rad';

/** @const	string	BGM_RS2_C_07_FILE_NAME	RS2BGM:C-07 title:STRIKE THE TARGET author:tool- */
const string BGM_RS2_C_07_FILE_NAME = 'rs2_c07.rad';

/** @const	string	BGM_RS2_C_08_FILE_NAME	RS2BGM:C-08 title:DRIVEN OF THE HELL author:Ęm\ */
const string BGM_RS2_C_08_FILE_NAME = 'rs2_c08.rad';

/** @const	string	BGM_RS2_C_09_FILE_NAME	RS2BGM:C-09 title:FINAL DOORS author:Ęm\ */
const string BGM_RS2_C_09_FILE_NAME = 'rs2_c09.rad';

/** @const	string	BGM_RS2_C_10_FILE_NAME	RS2BGM:C-10 title:THE BATTLE OF FRONTIER author:tool- */
const string BGM_RS2_C_10_FILE_NAME = 'rs2_c10.rad';

/** @const	string	BGM_RS2_TRAINING_FILE_NAME	RS2BGM:g[jO title:WINDY HOURS author:tool- */
const string BGM_RS2_TRAINING_FILE_NAME = 'rs2_training.rad';

/** @const	string	BGM_RS2_TRIAL_FILE_NAME	RS2BGM:gCA title:AIR RACER author:cpv */
const string BGM_RS2_TRIAL_FILE_NAME = 'rs2_trial.rad';

/** @const	string	BGM_RS2_ENDING_FILE_NAME	RS2BGM:RaidersSphere Second `the Hidden Script` GfBO title:HISTORICAL SCRIPT author:Ęm\ */
const string BGM_RS2_ENDING_FILE_NAME = 'rs2_ending1.rad';

//------------------------------------------------------
//RaidersSphere3rd
//------------------------------------------------------
/** @const	string	BGM_RS3_BRIEFING_FILE_NAME	RS3BGM:u[tBO title:HI-TECH Trancer author:Shibayan */
const string BGM_RS3_BRIEFING_FILE_NAME = 'rs3_01_briefing1.rad';

/** @const	string	BGM_RS3_SELECT_FILE_NAME	RS3BGM:@EI title:Slid Stream author:tool- */
const string BGM_RS3_SELECT_FILE_NAME = 'rs3_02_select.rad';

/** @const	string	BGM_RS3_BRIEFING_2_FILE_NAME	RS3BGM:u[tBO2 title:Daybreak author:tool- */
const string BGM_RS3_BRIEFING_2_FILE_NAME = 'rs3_03_briefing2.rad';

/** @const	string	BGM_RS3_MISSION01_FILE_NAME	RS3BGM:MISSION01 title:Airy Strikers author:Shibayan */
const string BGM_RS3_MISSION01_FILE_NAME = 'rs3_04_m01.rad';

/** @const	string	BGM_RS3_MISSION02_FILE_NAME	RS3BGM:MISSION02 title:2nd Disaster author:Shibayan */
const string BGM_RS3_MISSION02_FILE_NAME = 'rs3_05_m02.rad';

/** @const	string	BGM_RS3_MISSION03_FILE_NAME	RS3BGM:MISSION03 title:the Space Sub. author:tool- */
const string BGM_RS3_MISSION03_FILE_NAME = 'rs3_06_m03.rad';

/** @const	string	BGM_RS3_MISSION04_FILE_NAME	RS3BGM:MISSION04 title:Armaments from the Dimension author:tool- */
const string BGM_RS3_MISSION04_FILE_NAME = 'rs3_07_m04.rad';

/** @const	string	BGM_RS3_MISSION05_FILE_NAME	RS3BGM:MISSION05 title:Infinite Cartridge author:tool- */
const string BGM_RS3_MISSION05_FILE_NAME = 'rs3_08_m05.rad';

/** @const	string	BGM_RS3_MISSION06_FILE_NAME	RS3BGM:MISSION06 title:Deep Forest author:Shibayan */
const string BGM_RS3_MISSION06_FILE_NAME = 'rs3_09_m06.rad';

/** @const	string	BGM_RS3_MISSION07_A_FILE_NAME	RS3BGM:MISSION07_A title:Above & Below author:tool- */
const string BGM_RS3_MISSION07_A_FILE_NAME = 'rs3_10_m07a.rad';

/** @const	string	BGM_RS3_MISSION07_B_FILE_NAME	RS3BGM:MISSION07_B title:Upper Nightmare author:tool- */
const string BGM_RS3_MISSION07_B_FILE_NAME = 'rs3_11_m07b.rad';

/** @const	string	BGM_RS3_MISSION08_A_FILE_NAME	RS3BGM:MISSION08_A title:Exrotation author:tool- */
const string BGM_RS3_MISSION08_A_FILE_NAME = 'rs3_12_m08a.rad';

/** @const	string	BGM_RS3_MISSION08_B_FILE_NAME	RS3BGM:MISSION08_B title:Shoot the Rapids author:Shibayan */
const string BGM_RS3_MISSION08_B_FILE_NAME = 'rs3_13_m08b.rad';

/** @const	string	BGM_RS3_MISSION09_FILE_NAME	RS3BGM:MISSION09 title:an Orbital Fortress author:Shibayan */
const string BGM_RS3_MISSION09_FILE_NAME = 'rs3_14_m09.rad';

/** @const	string	BGM_RS3_MISSION10_A_FILE_NAME	RS3BGM:MISSION10_A title:the world in the end `̂肳ȂɁ` author:Gungnir over rev ́FGɓ~߁Ab */
const string BGM_RS3_MISSION10_A_FILE_NAME = 'rs3_15_m10a.rad';

/** @const	string	BGM_RS3_MISSION10_B_FILE_NAME	RS3BGM:MISSION10_B title:Cross SwordS author:Shibayan */
const string BGM_RS3_MISSION10_B_FILE_NAME = 'rs3_16_m10b.rad';

/** @const	string	BGM_RS3_ENDING_FILE_NAME	RS3BGM:RaidersSphere3rd GfBO title:turn me on author:Gungnir over rev ́FǕPA_JNl */
const string BGM_RS3_ENDING_FILE_NAME = 'rs3_17_ending.rad';

//======================================================
//BGM[v|Cg萔
//======================================================
//------------------------------------------------------
//ėp
//------------------------------------------------------
/** @const	int	BGM_PLAY_ONCE_LOOP_POINT	BGMxĐȂꍇ̃[v|Cg */
const int BGM_PLAY_ONCE_LOOP_POINT = NULL;

//------------------------------------------------------
//RaidersSphere
//------------------------------------------------------
/** @const	int	BGM_RS1_ENDING_LOOP_POINT	RS1BGM Loop point:RaidersSphere GfBO */
const int BGM_RS1_ENDING_LOOP_POINT = BGM_PLAY_ONCE_LOOP_POINT;

//------------------------------------------------------
//RaidersSphere Second `the Hidden Script`
//------------------------------------------------------
/** @const	int	BGM_RS2_INTRODUCTION_LOOP_POINT	RS2BGM Loop point:Cg_NV */
const int BGM_RS2_INTRODUCTION_LOOP_POINT = 0;

/** @const	int	BGM_RS2_BRIEFING_LOOP_POINT	RS2BGM Loop point:u[tBO */
const int BGM_RS2_BRIEFING_LOOP_POINT = 0;

/** @const	int	BGM_RS2_SELECT_LOOP_POINT	RS2BGM Loop point:@EI */
const int BGM_RS2_SELECT_LOOP_POINT = 0;

/** @const	int	BGM_RS2_A_01_LOOP_POINT	RS2BGM Loop point:A-01 */
const int BGM_RS2_A_01_LOOP_POINT = 0;

/** @const	int	BGM_RS2_A_02_LOOP_POINT	RS2BGM Loop point:A-02 */
const int BGM_RS2_A_02_LOOP_POINT = 0;

/** @const	int	BGM_RS2_A_03_LOOP_POINT	RS2BGM Loop point:A-03 */
const int BGM_RS2_A_03_LOOP_POINT = 0;

/** @const	int	BGM_RS2_A_04_LOOP_POINT	RS2BGM Loop point:A-04 */
const int BGM_RS2_A_04_LOOP_POINT = 0;

/** @const	int	BGM_RS2_A_05_LOOP_POINT	RS2BGM Loop point:A-05 */
const int BGM_RS2_A_05_LOOP_POINT = 0;

/** @const	int	BGM_RS2_A_06_LOOP_POINT	RS2BGM Loop point:A-06 */
const int BGM_RS2_A_06_LOOP_POINT = 31149;

/** @const	int	BGM_RS2_A_07_LOOP_POINT	RS2BGM Loop point:A-07 */
const int BGM_RS2_A_07_LOOP_POINT = 306783;

/** @const	int	BGM_RS2_A_08_LOOP_POINT	RS2BGM Loop point:A-08 */
const int BGM_RS2_A_08_LOOP_POINT = 324950;

/** @const	int	BGM_RS2_A_09_LOOP_POINT	RS2BGM Loop point:A-09 */
const int BGM_RS2_A_09_LOOP_POINT = 1539781;

/** @const	int	BGM_RS2_A_10_LOOP_POINT	RS2BGM Loop point:A-10 */
const int BGM_RS2_A_10_LOOP_POINT = 226382;

/** @const	int	BGM_RS2_B_01_LOOP_POINT	RS2BGM Loop point:B-01 */
const int BGM_RS2_B_01_LOOP_POINT = 617400;

/** @const	int	BGM_RS2_B_02_LOOP_POINT	RS2BGM Loop point:B-02 */
const int BGM_RS2_B_02_LOOP_POINT = 0;

/** @const	int	BGM_RS2_B_03_LOOP_POINT	RS2BGM Loop point:B-03 */
const int BGM_RS2_B_03_LOOP_POINT = 0;

/** @const	int	BGM_RS2_B_04_LOOP_POINT	RS2BGM Loop point:B-04 */
const int BGM_RS2_B_04_LOOP_POINT = 32423;

/** @const	int	BGM_RS2_B_05_LOOP_POINT	RS2BGM Loop point:B-05 */
const int BGM_RS2_B_05_LOOP_POINT = 940799;

/** @const	int	BGM_RS2_B_06_LOOP_POINT	RS2BGM Loop point:B-06 */
const int BGM_RS2_B_06_LOOP_POINT = 614234;

/** @const	int	BGM_RS2_B_07_LOOP_POINT	RS2BGM Loop point:B-07 */
const int BGM_RS2_B_07_LOOP_POINT = 0;

/** @const	int	BGM_RS2_B_08_LOOP_POINT	RS2BGM Loop point:B-08 */
const int BGM_RS2_B_08_LOOP_POINT = 0;

/** @const	int	BGM_RS2_B_09_LOOP_POINT	RS2BGM Loop point:B-09 */
const int BGM_RS2_B_09_LOOP_POINT = 0;

/** @const	int	BGM_RS2_B_10_LOOP_POINT	RS2BGM Loop point:B-10 */
const int BGM_RS2_B_10_LOOP_POINT = 352257;

/** @const	int	BGM_RS2_C_01_LOOP_POINT	RS2BGM Loop point:C-01 */
const int BGM_RS2_C_01_LOOP_POINT = 592111;

/** @const	int	BGM_RS2_C_02_LOOP_POINT	RS2BGM Loop point:C-02 */
const int BGM_RS2_C_02_LOOP_POINT = 618044;

/** @const	int	BGM_RS2_C_03_LOOP_POINT	RS2BGM Loop point:C-03 */
const int BGM_RS2_C_03_LOOP_POINT = 282240;

/** @const	int	BGM_RS2_C_04_LOOP_POINT	RS2BGM Loop point:C-04 */
const int BGM_RS2_C_04_LOOP_POINT = 0;

/** @const	int	BGM_RS2_C_05_LOOP_POINT	RS2BGM Loop point:C-05 */
const int BGM_RS2_C_05_LOOP_POINT = 141215;

/** @const	int	BGM_RS2_C_06_LOOP_POINT	RS2BGM Loop point:C-06 */
const int BGM_RS2_C_06_LOOP_POINT = 0;

/** @const	int	BGM_RS2_C_07_LOOP_POINT	RS2BGM Loop point:C-07 */
const int BGM_RS2_C_07_LOOP_POINT = 343622;

/** @const	int	BGM_RS2_C_08_LOOP_POINT	RS2BGM Loop point:C-08 */
const int BGM_RS2_C_08_LOOP_POINT = 284135;

/** @const	int	BGM_RS2_C_09_LOOP_POINT	RS2BGM Loop point:C-09 */
const int BGM_RS2_C_09_LOOP_POINT = 555490;

/** @const	int	BGM_RS2_C_10_LOOP_POINT	RS2BGM Loop point:C-10 */
const int BGM_RS2_C_10_LOOP_POINT = 211011;

/** @const	int	BGM_RS2_TRAINING_LOOP_POINT	RS2BGM Loop point:g[jO */
const int BGM_RS2_TRAINING_LOOP_POINT = 0;

/** @const	int	BGM_RS2_TRIAL_LOOP_POINT	RS2BGM Loop point:gCA */
const int BGM_RS2_TRIAL_LOOP_POINT = 563485;

/** @const	int	BGM_RS2_ENDING_LOOP_POINT	RS2BGM Loop point:RaidersSphere Second `the Hidden Script` GfBO */
const int BGM_RS2_ENDING_LOOP_POINT = BGM_PLAY_ONCE_LOOP_POINT;

//------------------------------------------------------
//RaidersSphere3rd
//------------------------------------------------------
/** @const	int	BGM_RS3_BRIEFING_LOOP_POINT	RS3BGM Loop point:u[tBO */
const int BGM_RS3_BRIEFING_LOOP_POINT = 0;

/** @const	int	BGM_RS3_SELECT_LOOP_POINT	RS3BGM Loop point:@EI */
const int BGM_RS3_SELECT_LOOP_POINT = 143104;

/** @const	int	BGM_RS3_BRIEFING_2_LOOP_POINT	RS3BGM Loop point:u[tBO2 */
const int BGM_RS3_BRIEFING_2_LOOP_POINT = 60860;

/** @const	int	BGM_RS3_MISSION01_LOOP_POINT	RS3BGM Loop point:MISSION01 */
const int BGM_RS3_MISSION01_LOOP_POINT = 587999;

/** @const	int	BGM_RS3_MISSION02_LOOP_POINT	RS3BGM Loop point:MISSION02 */
const int BGM_RS3_MISSION02_LOOP_POINT = 596281;

/** @const	int	BGM_RS3_MISSION03_LOOP_POINT	RS3BGM Loop point:MISSION03 */
const int BGM_RS3_MISSION03_LOOP_POINT = 572096;

/** @const	int	BGM_RS3_MISSION04_LOOP_POINT	RS3BGM Loop point:MISSION04 */
const int BGM_RS3_MISSION04_LOOP_POINT = 0;

/** @const	int	BGM_RS3_MISSION05_LOOP_POINT	RS3BGM Loop point:MISSION05 */
const int BGM_RS3_MISSION05_LOOP_POINT = 196288;

/** @const	int	BGM_RS3_MISSION06_LOOP_POINT	RS3BGM Loop point:MISSION06 */
const int BGM_RS3_MISSION06_LOOP_POINT = 641454;

/** @const	int	BGM_RS3_MISSION07_A_LOOP_POINT	RS3BGM Loop point:MISSION07_A */
const int BGM_RS3_MISSION07_A_LOOP_POINT = 0;

/** @const	int	BGM_RS3_MISSION07_B_LOOP_POINT	RS3BGM Loop point:MISSION07_B */
const int BGM_RS3_MISSION07_B_LOOP_POINT = 192480;

/** @const	int	BGM_RS3_MISSION08_A_LOOP_POINT	RS3BGM Loop point:MISSION08_A */
const int BGM_RS3_MISSION08_A_LOOP_POINT = 194788;

/** @const	int	BGM_RS3_MISSION08_B_LOOP_POINT	RS3BGM Loop point:MISSION08_B */
const int BGM_RS3_MISSION08_B_LOOP_POINT = 888167;

/** @const	int	BGM_RS3_MISSION09_LOOP_POINT	RS3BGM Loop point:MISSION09 */
const int BGM_RS3_MISSION09_LOOP_POINT = 1159749;

/** @const	int	BGM_RS3_MISSION10_A_LOOP_POINT	RS3BGM Loop point:MISSION10_A */
const int BGM_RS3_MISSION10_A_LOOP_POINT = 2554581;

/** @const	int	BGM_RS3_MISSION10_B_LOOP_POINT	RS3BGM Loop point:MISSION10_B */
const int BGM_RS3_MISSION10_B_LOOP_POINT = 907199;

/** @const	int	BGM_RS3_ENDING_LOOP_POINT	RS3BGM Loop point:RaidersSphere3rd GfBO */
const int BGM_RS3_ENDING_LOOP_POINT = BGM_PLAY_ONCE_LOOP_POINT;
