/**
 * 3DtCgV[eBOQ[ppbP[W RaidersSpherepbP[WłB
 *
 * @package_overview
 * @package 	RaidersSphere
 * @caption		RaidersSpherepbP[W
 * @license 	&lt;a href="http://en.wikipedia.org/wiki/MIT_License"&lt;X11/MIT License&lt;/a&gt;
 * @author		Rectangle
 * @since		1.0
 * @version 	1.0
 * @engine		RSE3.5, SpE4.0
 * @url 		&lt;a href="http://www.rectangle.jp/"&gt;l\tgT[N Rectangle&lt;/a&gt;
 */

/**
 * RaidersSpherepbP[W WCu֐QLqt@CłB
 *
 * @file_overview
 * @license     &lt;a href="http://en.wikipedia.org/wiki/MIT_License"&lt;X11/MIT License&lt;/a&gt;
 * @author      Rectangle
 * @since       1.0
 * @version     1.0
 * @engine      RSE3.5, SpE4.0
 * @url         &lt;a href="http://rs.wakabadou.net/"&gt;t{&lt;/a&gt;
 */

/** @var	unique_counter_id	j[NȃJE^[IDp̊ǗϐFőMAX_COUNTER_NUM܂ */
int unique_counter_id;

/**
 * dȂJE^[IDzz܂B
 *
 * @return	int		dȂJE^[ID
 *
 * @caption	dȂJE^[ID̔zz
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int provide_unique_counter_id()
{
	return unique_counter_id++;
}

/**
 * ݂̍őJE^[ID擾܂B
 *
 * @return	int		݂̍őJE^[ID
 *
 * @caption	݂̍őJE^[ID̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int get_unique_counter_id()
{
	return unique_counter_id;
}

/**
 * ~bVJňoߎԂ擾܂B
 *
 * @return	int		~bVJňoߎ
 *
 * @caption	oߎԂ擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see		STATUS_PROGRESS_TIME
 */
function int get_progress_time()
{
	return get_status(STATUS_PROGRESS_TIME, NULL_LABEL);
}

/**
 * ~bVI܂ł̎c莞Ԃ擾܂B
 *
 * @return	int		~bVI܂ł̎c莞
 *
 * @caption	c莞Ԃ擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see		STATUS_REST_TIME
 */
function int get_rest_time()
{
	return get_status(STATUS_REST_TIME, NULL_LABEL);
}

/**
 * Ԃ𒴉߂Ă邩ǂ肵܂B
 *
 * @return	int		Ԃ𒴂ĂꍇTRUEAȊȌꍇFALSE
 *
 * @caption	Ԃ𒴉߂Ă邩肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int is_time_up()
{
	return (get_rest_time() <= 0);
}

/**
 * ݂̃x擾܂B
 *
 * @return	int		݂̃xR[h
 *
 * @caption	݂̃x擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see		STATUS_LEVEL
 */
function int get_current_level()
{
	return get_status(STATUS_LEVEL, NULL_LABEL);
}

/**
 * xR[hlLevel Easyǂ肵܂B
 *
 * @param	int		level_cd	xR[h
 * @return	int		xR[hlLevel Easy̏ꍇTRUEAȊȌꍇFALSE
 *
 * @caption	xR[hEasy肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int is_level_normal(int level_cd)
 * @see		int is_level_hard(int level_cd)
 * @see		LEVEL_EASY
 */
function int is_level_easy(int level_cd)
{
	return (level_cd == LEVEL_EASY);
}

/**
 * xR[hlLevel Noramlǂ肵܂B
 *
 * @param	int		level_cd	xR[h
 * @return	int		xR[hlLevel Normal̏ꍇTRUEAȊȌꍇFALSE
 *
 * @caption	xR[hNormal肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int is_level_easy(int level_cd)
 * @see		int is_level_hard(int level_cd)
 * @see		LEVEL_NORMAL
 */
function int is_level_normal(int level_cd)
{
	return (level_cd == LEVEL_NORMAL);
}

/**
 * xR[hlLevel Hardǂ肵܂B
 *
 * @param	int		level_cd	xR[h
 * @return	int		xR[hlLevel Hard̏ꍇTRUEAȊȌꍇFALSE
 *
 * @caption	xR[hNard肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int is_level_easy(int level_cd)
 * @see		int is_level_normal(int level_cd)
 * @see		LEVEL_HARD
 */
function int is_level_hard(int level_cd)
{
	return (level_cd == LEVEL_HARD);
}

/**
 * ݂̃xEasyǂ肵܂B
 *
 * @return	int		݂̃xEasy̏ꍇTRUEAȊȌꍇFALSE
 *
 * @caption	݂̃xEasy肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int is_level_easy(int level_cd)
 */
function int is_current_level_easy()
{
	return is_level_easy(get_current_level());
}

/**
 * ݂̃xNormalǂ肵܂B
 *
 * @return	int		݂̃xNormal̏ꍇTRUEAȊȌꍇFALSE
 *
 * @caption	݂̃xNormal肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int is_level_normal(int level_cd)
 */
function int is_current_level_normal()
{
	return is_level_normal(get_current_level());
}

/**
 * ݂̃xHardǂ肵܂B
 *
 * @return	int		݂̃xHard̏ꍇTRUEAȊȌꍇFALSE
 *
 * @caption	݂̃xHard肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int is_level_hard(int level_cd)
 */
function int is_current_level_hard()
{
	return is_level_hard(get_current_level());
}

/**
 * c^[Qbg擾܂B
 *
 * @return	int		c̃^[Qbg
 *
 * @caption	c̃^[Qbg̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see		STATUS_ALL_TARGET
 */
function int count_target()
{
	return get_status(STATUS_ALL_TARGET, NULL_LABEL);
}

/**
 * ^[Qbgrłǂ肵܂B
 *
 * @return	int		^[QbgrłĂꍇTRUEAȊȌꍇFALSE
 *
 * @caption	^[Qbgrł肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int count_target()
 */
function int is_target_exterminated()
{
	return (count_target() == 0);
}

/**
 * xɕRtjbg擾܂B
 *
 * @param	int		label		jbg𒲂ׂx
 * @return	int		xɕRtjbg
 *
 * @caption	xɕRtjbg̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see		STATUS_ALL_LABEL
 */
function int count_unit_by_label(int label)
{
	return get_status(STATUS_ALL_LABEL, label);
}

/**
 * xɕRtjbgrłǂ肵܂B
 *
 * @param	int		level_cd	xR[h
 * @return	int		xR[hlLevel Hard̏ꍇTRUEAȊȌꍇFALSE
 *
 * @caption	xɕRtjbgrł肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int count_unit_by_label(int label)
 */
function int is_units_exterminated_by_label(int label)
{
	return (count_unit_by_label(label) == 0);
}

/**
 * cGjbg擾܂B
 *
 * Gjbgɂ̓^[Qbg܂܂܂B
 *
 * @return	int		c̓Gjbg
 *
 * @caption	c̓Gjbg̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see		STATUS_ALL_ENEMY
 */
function int count_enemy()
{
	return get_status(STATUS_ALL_ENEMY, NULL_LABEL);
}

/**
 * cGq󃆃jbg擾܂B
 *
 * Gq󃆃jbgɂ̓^[Qbg܂܂܂B
 *
 * @return	int		c̓Gq󃆃jbg
 *
 * @caption	c̓Gq󃆃jbg̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see		STATUS_AIR_ENEMY
 */
function int count_air_enemy()
{
	return get_status(STATUS_AIR_ENEMY, NULL_LABEL);
}

/**
 * Gjbgrłǂ肵܂B
 *
 * @return	int		GjbgrłĂꍇTRUEAȊȌꍇFALSE
 *
 * @caption	Gjbgrł肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int count_enemy()
 */
function int is_enemy_exterminate()
{
	return (count_enemy() == 0);
}

/**
 * Gjbg̔j󐔂擾܂B
 *
 * Gjbgɂ̓^[Qbg܂܂܂B
 *
 * @return	int		Gjbg̔j
 *
 * @caption	Gjbg̔j󐔂̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see		STATUS_ALL_ENEMY_DESTROYED
 */
function int count_enemy_destroyed()
{
	return get_status(STATUS_ALL_ENEMY_DESTROYED, NULL_LABEL);
}

/**
 * Gq󃆃jbg̔j󐔂擾܂B
 *
 * Gq󃆃jbgɂ̓^[Qbg܂܂܂B
 *
 * @return	int		Gq󃆃jbg̔j
 *
 * @caption	Gq󃆃jbg̔j󐔂̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see		STATUS_AIR_ENEMY_DESTROYED
 */
function int count_air_enemy_destroyed()
{
	return get_status(STATUS_AIR_ENEMY_DESTROYED, NULL_LABEL);
}

/**
 * Gnテjbg̔j󐔂擾܂B
 *
 * Gnテjbgɂ̓^[Qbg܂܂܂B
 *
 * @return	int		Gnテjbg̔j
 *
 * @caption	Gnテjbg̔j󐔂̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see		STATUS_GROUND_ENEMY_DESTROYED
 */
function int count_grand_enemy_destroyed()
{
	return get_status(STATUS_GROUND_ENEMY_DESTROYED, NULL_LABEL);
}

/**
 * vC[̃_[W擾܂B
 *
 * @return	int		vC[̃_[W
 *
 * @caption	vC[_[W̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see		STATUS_DAMAGE_PLAYER
 */
function int get_player_damage()
{
	return get_status(STATUS_DAMAGE_PLAYER, NULL_LABEL);
}

/**
 * xɕRtjbg̗݌v_[W擾܂B
 *
 * @param	int		label		݌v_[W擾x
 * @return	int		xɕRtjbg̗݌v_[W
 *
 * @caption	xɕRtjbg̗݌v_[W̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see		STATUS_DAMAGE_LABEL
 */
function int get_damage_by_label(int label)
{
	return get_status(STATUS_DAMAGE_LABEL, label);
}

/**
 * vC[@̃jbgID擾܂B
 *
 * @return	int		vC[@̃jbgID
 *
 * @caption	vC[@̃jbgID擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see		STATUS_PLAYERS_PLANE
 */
function int get_player_unit()
{
 	return get_status(STATUS_PLAYERS_PLANE, NULL_LABEL);
}

/**
 * vC[@w肳ꂽjbgǂ肵܂B
 *
 * @param	int		unit_id	肷郆jbgID
 * @return	int		vC[@w肳ꂽjbgꍇTRUEAȊȌꍇFALSE
 *
 * @caption	vC[@w肳ꂽjbg肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int is_player_unit_by_unit_id(int unit_id)
{
	return (get_player_unit() == unit_id);
}

/**
 * vC[@̃CpCɐύڂĂ镺̃jbgID擾܂B
 *
 * @return	int		vC[@̃CpCɐύڂĂ镺̃jbgID
 *
 * @caption	vC[@̃CpC̃jbgID
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see	STATUS_PLAYERS_PYLON_MAIN
 */
function int  get_player_pylon_main()
{
	return get_status(STATUS_PLAYERS_PYLON_MAIN, NULL_LABEL);
}

/**
 * vC[@̃CpCw肳ꂽjbgǂ肵܂B
 *
 * @param	int		unit_id	肷郆jbgID
 * @return	int		vC[@̃CpCw肳ꂽjbgꍇTRUEAȊȌꍇFALSE
 *
 * @caption	vC[@̃CpCw肳ꂽjbg肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int is_player_pylon_main_by_unit_id(int unit_id)
{
	return (get_player_pylon_main() == unit_id);
}

/**
 * vC[@̃TupCɐύڂĂ镺̃jbgID擾܂B
 *
 * @return	int		vC[@̃TupCɐύڂĂ镺̃jbgID
 *
 * @caption	vC[@̃TupC̃jbgID
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_status(string function_type, int label)
 * @see	STATUS_PLAYERS_PYLON_SUB
 */
function int  get_player_pylon_sub()
{
	return get_status(STATUS_PLAYERS_PYLON_SUB, NULL_LABEL);
}

/**
 * vC[@̃TupCw肳ꂽjbgǂ肵܂B
 *
 * @param	int		unit_id	肷郆jbgID
 * @return	int		vC[@̃TupCw肳ꂽjbgꍇTRUEAȊȌꍇFALSE
 *
 * @caption	vC[@̃TupCw肳ꂽjbg肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int is_player_pylon_sub_by_unit_id(int unit_id)
{
	return (get_player_pylon_sub() == unit_id);
}

/**
 * vC[@̃Z^[pCɐύڂĂ镺̃jbgID擾܂B
 *
 * @return	int		vC[@̃Z^[pCɐύڂĂ镺̃jbgID
 *
 * @caption	vC[@̃Z^[pC̃jbgID
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see	STATUS_PLAYERS_PYLON_CENTER
 */
function int  get_player_pylon_center()
{
	return get_status(STATUS_PLAYERS_PYLON_CENTER, NULL_LABEL);
}

/**
 * vC[@̃Z^[pCw肳ꂽjbgǂ肵܂B
 *
 * @param	int		unit_id	肷郆jbgID
 * @return	int		vC[@̃Z^[pCw肳ꂽjbgꍇTRUEAȊȌꍇFALSE
 *
 * @caption	vC[@̃Z^[pCw肳ꂽjbg肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int is_player_pylon_center_by_unit_id(int unit_id)
{
	return (get_player_pylon_center() == unit_id);
}

/**
 * w肳ꂽx݈̌ʒuŌʉ炵܂B
 *
 * SEԍ10`40܂ł̓Q[ŎgĂʉĂ܂B<br />
 * load_se֐gƂɂASEԍ50ȍ~ɔCӂ̌ʉ邱Ƃł܂B
 *
 * @param	int		label		ʉ炷ʒu擾߂̃x
 * @param	int		se_no		ʉԍ<br />0`4980ȍ~͗\ς݂Ȃ̂ŁACӂ̌ʉgꍇ50`79gp
 * @param	int		volume		WJ痣ꂽꍇ̉ʌl<br />0̏ꍇ͉WɊւ炸ő剹ʂƂȂ
 * @return	int		Đ
 *
 * @caption	vC[̂΂Ōʉ炷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int play_se(int se_id, float pos_x, float pos_y, float pos_z, float vol_rate)
 * @see		int load_se(int se_id, string filename)
 */
function int play_se_by_label(int label, int se_no, int volume)
{
	float x;
	float y;
	float z;
	get_pos(label, x, y, z);
	return play_se(se_no, x, y, z, volume);
}

/**
 * vC[̂΂Ōʉ炵܂B
 *
 * SEԍ10`40܂ł̓Q[ŎgĂʉĂ܂B<br />
 * load_se֐gƂɂASEԍ50ȍ~ɔCӂ̌ʉ邱Ƃł܂B
 *
 * @param	int		se_no		ʉԍ<br />0`4980ȍ~͗\ς݂Ȃ̂ŁACӂ̌ʉgꍇ50`79gp
 * @param	int		volume		WJ痣ꂽꍇ̉ʌl<br />0̏ꍇ͉WɊւ炸ő剹ʂƂȂ
 * @return	int		Đ
 *
 * @caption	vC[̂΂Ōʉ炷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int play_se(int se_id, float pos_x, float pos_y, float pos_z, float vol_rate)
 * @see		int load_se(int se_id, string filename)
 */
function int play_se_near_player(int se_no, int volume)
{
	return play_se_by_label(LABEL_PLAYER, se_no, volume);
}

/**
 * w肳ꂽx݈̌ʒuŌʉJԂ炵܂B
 *
 * ~ɂint stop_se(int se_id)֐gp܂B
 *
 * SEԍ10`40܂ł̓Q[ŎgĂʉĂ܂B<br />
 * load_se֐gƂɂASEԍ50ȍ~ɔCӂ̌ʉ邱Ƃł܂B
 *
 * @param	int		label		ʉJԂ炷ʒu擾߂̃x
 * @param	int		se_no		ʉԍ<br />0`4980ȍ~͗\ς݂Ȃ̂ŁACӂ̌ʉgꍇ50`79gp
 * @param	int		volume		WJ痣ꂽꍇ̉ʌl<br />0̏ꍇ͉WɊւ炸ő剹ʂƂȂ
 * @return	int		Đ
 *
 * @caption	x݈̌ʒuŌʉJԂ炷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int play_se_loop(int se_id, float pos_x, float pos_y, float pos_z, float vol_rate)
 * @see		int load_se(int se_id, string filename)
 * @see		int stop_se(int se_id)
 */
function int play_se_loop_by_label(int label, int se_no, int volume)
{
	float x;
	float y;
	float z;
	get_pos(label, x, y, z);
	return play_se_loop(se_no, x, y, z, volume);
}

/**
 * vC[̂΂ŌʉJԂ炵܂B
 *
 * ~ɂint stop_se(int se_id)֐gp܂B
 *
 * SEԍ10`40܂ł̓Q[ŎgĂʉĂ܂B<br />
 * load_se֐gƂɂASEԍ50ȍ~ɔCӂ̌ʉ邱Ƃł܂B
 *
 * @param	int		se_no		ʉԍ<br />0`4980ȍ~͗\ς݂Ȃ̂ŁACӂ̌ʉgꍇ50`79gp
 * @param	int		volume		WJ痣ꂽꍇ̉ʌl<br />0̏ꍇ͉WɊւ炸ő剹ʂƂȂ
 * @return	int		Đ
 *
 * @caption	vC[̂΂ŌʉJԂ炷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int play_se_loop_by_label(int label, int se_no, int volume)
 * @see		int load_se(int se_id, string filename)
 * @see		int stop_se(int se_id)
 */
function int play_se_loop_near_player(int se_no, int volume)
{
	return play_se_loop_by_label(LABEL_PLAYER, se_no, volume);
}

/**
 * J̎Be[hꊇĐݒ肵܂B
 *
 * J̎BeƃJ̃uݒꊇĐݒ肵܂B
 *
 * J̎Be͈ȉ6ނIł܂B<br />
 * VIEW_MODE_FIXEDFfocus1Be邽߂̋󒆌ŒJ<br />
 * VIEW_MODE_LONGFfocus1𒆐SɂāAfocus2Be<br />
 * VIEW_MODE_SHORTFfocus1̃Jfocus2Be<br />
 * VIEW_MODE_SIDEFfocus1Be<br />
 * VIEW_MODE_ROUNDFfocus1̎܂<br />
 * VIEW_MODE_FLIGHTFHUD̎_֖߂
 *
 * @param	string	view_mode_type	J̎Be
 * @param	int		shake_flag		J̃utO TRUȄꍇ̓uAFALSȄꍇ̓uȂ
 *
 * @caption	J̎Be[hꊇĐݒ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int view_mode(string mode)
 * @see		int set_cam_shake_flag(int flag)
 */
function cam_mode(string view_mode_type, int shake_flag)
{
	view_mode(view_mode_type);
	set_cam_shake_flag(shake_flag);
}

/**
 * w肵x̓k̍W擾܂B
 *
 * @param	int		label		k̍W擾x
 * @return	float	w肵x̓k̍W
 *
 * @caption	w肵x̓k̍W̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_pos(int label, refer x, refer y, refer z)
 */
function float get_unit_ns_point(int label)
{
	float unit_x;
	float unit_y;
	float unit_z;
	get_pos(label, unit_x, unit_y, unit_z);
	return unit_x;
}

/**
 * w肵x̍x擾܂B
 *
 * @param	int		label		x擾x
 * @return	float	w肵x̍x
 *
 * @caption	w肵x̍x̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_pos(int label, refer x, refer y, refer z)
 */
function float get_unit_altitude(int label)
{
	float unit_x;
	float unit_y;
	float unit_z;
	get_pos(label, unit_x, unit_y, unit_z);
	return unit_y;
}

/**
 * w肵x̓̍W擾܂B
 *
 * @param	int		label		̍W擾x
 * @return	float	w肵x̓̍W
 *
 * @caption	w肵x̓̍W̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_pos(int label, refer x, refer y, refer z)
 */
function float get_unit_ew_point(int label)
{
	float unit_x;
	float unit_y;
	float unit_z;
	get_pos(label, unit_x, unit_y, unit_z);
	return unit_z;
}

/**
 * vC[̍x擾܂B
 *
 * @return	int		vC[̍x
 *
 * @caption	vC[̍x̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_unit_altitude(int label)
 */
function get_player_altitude()
{
	return get_unit_altitude(LABEL_PLAYER);
}

/**
 * w肵xXp擾܂B
 *
 * @param	int		label		Xp擾x
 * @return	float	w肵xXp
 *
 * @caption	w肵xXp̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_rot(int label, refer x, refer y, refer z)
 */
function float get_unit_rot_x(int label)
{
	float unit_x;
	float unit_y;
	float unit_z;
	get_rot(label, unit_x, unit_y, unit_z);
	return unit_x;
}

/**
 * w肵xYp擾܂B
 *
 * @param	int		label		Yp擾x
 * @return	float	w肵xYp
 *
 * @caption	w肵xYp̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_rot(int label, refer x, refer y, refer z)
 */
function float get_unit_rot_y(int label)
{
	float unit_x;
	float unit_y;
	float unit_z;
	get_rot(label, unit_x, unit_y, unit_z);
	return unit_y;
}

/**
 * w肵xZp擾܂B
 *
 * @param	int		label		Zp擾x
 * @return	float	w肵xZp
 *
 * @caption	w肵xZp̎擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int get_rot(int label, refer x, refer y, refer z)
 */
function float get_unit_rot_z(int label)
{
	float unit_x;
	float unit_y;
	float unit_z;
	get_rot(label, unit_x, unit_y, unit_z);
	return unit_z;
}

/**
 * Ŏw肵t[҂܂B
 *
 * 1t[60FPSł̃t[ƂȂ܂B
 *
 * @param	int		frame		҂t[
 * @return	int		펞TRUEAُ펞FALSE
 *
 * @caption	t[҂
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int wait_time(float timer)
 */
function int wait_frame(int frame)
{
	return wait_time(frame * FRAME_IN_SECOND);
}

/**
 * t^ăbZ[Wo͂s܂B
 *
 * ̊֐͉̕t^ɔbsOĂ܂B
 *
 * @param	string	type				ʐM
 * @param	string	name				bҖ
 * @param	string	text				\bZ[W
 * @param	string	voice_file_path		bZ[WƓɍĐ鉹t@CpXB󕶎̏ꍇĐȂ
 * @param	int 	close_flg			bZ[WEBhE\ɑ䎌EBhE邩ǂB1ŕA1ȊO͕Ȃ
 * @param	float 	wait_time			bZ[WEBhE܂ł̑҂(b) NULLw肷ƖBvoice_file_pathw肳ĂꍇA̍ĐԂD悵ĎgpB
 * @param	int		skip_wait_flag		bZ[WEBhE܂ł̑҂XLbvBvoice_message֐Oő҂ԂǗꍇɎgpB
 * @return	float	ۂɕ\EBhE
 *
 * @caption	t̃bZ[Wo͂s
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 *
 * @see		int message(string window_col,string title_str,string message_str)
 * @see		int wait_time(float timer)
 * @see		int close_window(int window_id)
 * @see		MESSAGE_WINDOW_ID_DEFAULT
 */
function float voice_message(string type, string name, string text, string voice_file_path, int close_flg, float enforce_wait_time, int skip_wait_flag)
{
	//bZ[WEBhE𗘗p邩ǂ
	int use_message_window = (type != (string) NULL && name != (string) NULL);

	//bZ[W\
	if (use_message_window == TRUE) {
		message(type, name, text);
	}

	float stream_time = 0.1;

	//䎌̍Đ
	if (voice_file_path != EMPTY_PATH) {
		stream_time = play_voice(voice_file_path);
	}
	else {
		stream_time = enforce_wait_time;
	}

	//EBhE̕\
	if (skip_wait_flag == FALSE) {
		wait_time(stream_time);
	}

	//䎌EBhE
	if (use_message_window == TRUE && close_flg == TRUE) {
		close_window(MESSAGE_WINDOW_ID_DEFAULT);
	}

	return stream_time;
}

/**
 * @egK[Ă邩ǂ肵܂B
 *
 * @return	int		@egK[ĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	@egK[Ă邩ǂ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function is_trigger_pulled_gun()
{
	return (get_pad_trg(PAD_GUN) != 0);
}

/**
 * ~TCgK[Ă邩ǂ肵܂B
 *
 * @return	int		~TCgK[ĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	~TCgK[Ă邩ǂ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function is_trigger_pulled_missile()
{
	return (get_pad_trg(PAD_MISSILE) != 0);
}

/**
 * IgK[Ă邩ǂ肵܂B
 *
 * @return	int		IgK[ĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	IgK[Ă邩ǂ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function is_trigger_pulled_weapon_selector()
{
	return (get_pad_trg(PAD_WEAPON) != 0);
}

/**
 * ^[Qbg؂ւ{^ijĂ邩ǂ肵܂B
 *
 * @return	int		^[Qbg؂ւ{^ijĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	^[Qbg؂ւ{^ijĂ邩ǂ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function is_trigger_pulled_target_selector()
{
	return (get_pad_trg(PAD_TARGET1) != 0);
}

/**
 * ^[Qbg؂ւ{^itjĂ邩ǂ肵܂B
 *
 * @return	int		^[Qbg؂ւ{^itjĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	^[Qbg؂ւ{^itjĂ邩ǂ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function is_trigger_pulled_target_selector_reverse()
{
	return (get_pad_trg(PAD_TARGET2) != 0);
}

/**
 * @egK[Ă邩ǂ肵܂B
 *
 * @return	int		@egK[ĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	@egK[Ă邩ǂ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function is_trigger_pulling_gun()
{
	return (get_pad_now(PAD_GUN) != 0);
}

/**
 * ~TCgK[Ă邩ǂ肵܂B
 *
 * @return	int		~TCgK[ĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	~TCgK[Ă邩ǂ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function is_trigger_pulling_missile()
{
	return (get_pad_now(PAD_MISSILE) != 0);
}

/**
 * IgK[Ă邩ǂ肵܂B
 *
 * @return	int		IgK[ĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	IgK[Ă邩ǂ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function is_trigger_pulling_weapon_selector()
{
	return (get_pad_now(PAD_WEAPON) != 0);
}

/**
 * ^[Qbg؂ւ{^ijĂ邩ǂ肵܂B
 *
 * @return	int		^[Qbg؂ւ{^ijĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	^[Qbg؂ւ{^ijĂ邩ǂ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function is_trigger_pulling_target_selector()
{
	return (get_pad_now(PAD_TARGET1) != 0);
}

/**
 * ^[Qbg؂ւ{^itjĂ邩ǂ肵܂B
 *
 * @return	int		^[Qbg؂ւ{^itjĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	^[Qbg؂ւ{^itjĂ邩ǂ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function is_trigger_pulling_target_selector_reverse()
{
	return (get_pad_now(PAD_TARGET2) != 0);
}

/**
 * bɕϊꂽJE^[̒l擾܂B
 *
 * Attention:XNvgsɉxĂ΂\܂B<br />
 * 󋵂ɂĂ̓ptH[}Xɑ΂Ă̈e^鋰ꂪ܂B
 *
 * @param	int		counter_id	l擾JE^[ID
 * @return	float	bɕϊꂽJE^[l
 *
 * @caption	bɕϊꂽJE^[̒l擾B
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function float get_counter_to_sec(int counter_id)
{
	return FRAME_IN_SECOND * get_counter(counter_id);
}

/**
 * JE^[ɕbɕϊlݒ肵܂B
 *
 * Attention:܂ŕbɕϊlݒ肷邾ŁAȍ~̓lbŊǗ킯ł͂܂B
 *
 * Attention:XNvgsɉxĂ΂\܂B<br />
 * 󋵂ɂĂ̓ptH[}Xɑ΂Ă̈e^鋰ꂪ܂B
 *
 * @param	int		counter_id	lݒ肵JE^[ID
 * @param	int		frame		bɕϊJE^[l
 * @return	int		JE^[ID
 *
 * @caption	bɕϊꂽJE^[̒l擾B
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		get_counter_to_sec(int counter_id)
 */
function int set_counter_to_sec(int counter_id, int count)
{
	return set_counter(counter_id, count * FRAME);
}

/**
 * w肳ꂽXe[WՓxFC[W[ŃNAĂ邩ǂ𔻒肵܂B
 *
 * @param	int		stage_id	NAsXe[W
 * @return	int		NAĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	C[W[ŃNA肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int is_clear_easy(int stage_id)
{
	return (get_clear_time_easy(stage_id) > 0);
}

/**
 * w肳ꂽXe[W̓ՓxFC[W[ł̃NA^C擾܂B
 *
 * @param	int		stage_id	NA^C擾sXe[W
 * @return	int		NAĂꍇ0ȏ̃NA^CAĂȂꍇ-1
 *
 * @caption	C[W[ł̃NA^C擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int get_clear_time_easy(int stage_id)
{
	return get_clear_time(stage_id, CLEAR_TIME_EASY);
}

/**
 * w肳ꂽXe[WՓxFC[W[şrŃNAĂ邩ǂ𔻒肵܂B
 *
 * @param	int		stage_id	rŃNAsXe[W
 * @return	int		rŃNAĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	C[W[şrŃNA肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int is_clear_easy_exterminated(int stage_id)
{
	return (get_clear_time_easy_exterminated(stage_id) > 0);
}

/**
 * w肳ꂽXe[W̓ՓxFC[W[ł̟rŃNA^C擾܂B
 *
 * @param	int		stage_id	rŃNA^C擾sXe[W
 * @return	int		rŃNAĂꍇ0ȏ̃NA^CAĂȂꍇ-1
 *
 * @caption	C[W[ł̟rŃNA^C擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int get_clear_time_easy_exterminated(int stage_id)
{
	return get_clear_time(stage_id, CLEAR_TIME_EASY_EXT);
}

/**
 * w肳ꂽXe[WՓxFm[}ŃNAĂ邩ǂ𔻒肵܂B
 *
 * @param	int		stage_id	NAsXe[W
 * @return	int		NAĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	m[}ŃNA肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int is_clear_normal(int stage_id)
{
	return (get_clear_time_normal(stage_id) > 0);
}

/**
 * w肳ꂽXe[W̓ՓxFm[}ł̃NA^C擾܂B
 *
 * @param	int		stage_id	NA^C擾sXe[W
 * @return	int		NAĂꍇ0ȏ̃NA^CAĂȂꍇ-1
 *
 * @caption	m[}ł̃NA^C擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int get_clear_time_normal(int stage_id)
{
	return get_clear_time(stage_id, CLEAR_TIME_NORMAL);
}

/**
 * w肳ꂽXe[WՓxFm[}şrŃNAĂ邩ǂ𔻒肵܂B
 *
 * @param	int		stage_id	rŃNAsXe[W
 * @return	int		rŃNAĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	m[}şrŃNA肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int is_clear_normal_exterminated(int stage_id)
{
	return (get_clear_time_normal_exterminated(stage_id) > 0);
}

/**
 * w肳ꂽXe[W̓ՓxFm[}ł̟rŃNA^C擾܂B
 *
 * @param	int		stage_id	rŃNA^C擾sXe[W
 * @return	int		rŃNAĂꍇ0ȏ̃NA^CAĂȂꍇ-1
 *
 * @caption	m[}ł̟rŃNA^C擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int get_clear_time_normal_exterminated(int stage_id)
{
	return get_clear_time(stage_id, CLEAR_TIME_NORMAL_EXT);
}

/**
 * w肳ꂽXe[WՓxFn[hŃNAĂ邩ǂ𔻒肵܂B
 *
 * @param	int		stage_id	NAsXe[W
 * @return	int		NAĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	n[hŃNA肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int is_clear_HARD(int stage_id)
{
	return (get_clear_time_hard(stage_id) > 0);
}

/**
 * w肳ꂽXe[W̓ՓxFn[hł̃NA^C擾܂B
 *
 * @param	int		stage_id	NA^C擾sXe[W
 * @return	int		NAĂꍇ0ȏ̃NA^CAĂȂꍇ-1
 *
 * @caption	n[hł̃NA^C擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int get_clear_time_hard(int stage_id)
{
	return get_clear_time(stage_id, CLEAR_TIME_HARD);
}

/**
 * w肳ꂽXe[WՓxFn[hşrŃNAĂ邩ǂ𔻒肵܂B
 *
 * @param	int		stage_id	rŃNAsXe[W
 * @return	int		rŃNAĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	n[hşrŃNA肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int is_clear_HARD_exterminated(int stage_id)
{
	return (get_clear_time_hard_exterminated(stage_id) > 0);
}

/**
 * w肳ꂽXe[W̓ՓxFn[hł̟rŃNA^C擾܂B
 *
 * @param	int		stage_id	rŃNA^C擾sXe[W
 * @return	int		rŃNAĂꍇ0ȏ̃NA^CAĂȂꍇ-1
 *
 * @caption	n[hł̟rŃNA^C擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 */
function int get_clear_time_hard_exterminated(int stage_id)
{
	return get_clear_time(stage_id, CLEAR_TIME_HARD_EXT);
}

/**
 * w肳ꂽxɕRtjbg̃KZteB܂
 *
 * @param	int		label	KZteB郆jbg̃x
 *
 * @caption	w肵x̃KZteB
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int stop_weapon(int label, string type_str, int stop_flag);
 */
function unlock_safety_gun_by_label(int label)
{
	stop_weapon(label, GUN, FALSE);
}

/**
 * w肳ꂽxɕRtjbg̃CpCZteB܂
 *
 * @param	int		label	CpCZteB郆jbg̃x
 *
 * @caption	w肵x̃CpCZteB
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int stop_weapon(int label, string type_str, int stop_flag);
 */
function unlock_safety_pylon_main_by_label(int label)
{
	stop_weapon(label, PYLON_MAIN, FALSE);
}

/**
 * w肳ꂽxɕRtjbg̃TupCZteB܂
 *
 * @param	int		label	TupCZteB郆jbg̃x
 *
 * @caption	w肵x̃TupCZteB
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int stop_weapon(int label, string type_str, int stop_flag);
 */
function unlock_safety_pylon_sub_by_label(int label)
{
	stop_weapon(label, PYLON_SUB, FALSE);
}

/**
 * w肳ꂽxɕRtjbg̃Z^[pCZteB܂
 *
 * @param	int		label	Z^[pCZteB郆jbg̃x
 *
 * @caption	w肵x̃Z^[pCZteB
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int stop_weapon(int label, string type_str, int stop_flag);
 */
function unlock_safety_pylon_center_by_label(int label)
{
	stop_weapon(label, PYLON_CENTER, FALSE);
}

/**
 * w肳ꂽxɕRtjbg̃pCZteB܂
 *
 * @param	int		label	pCZteB郆jbg̃x
 *
 * @caption	w肵x̃pCZteB
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int stop_weapon(int label, string type_str, int stop_flag);
 */
function unlock_safety_pylon_by_label(int label)
{
	unlock_safety_pylon_main_by_label(label);
	unlock_safety_pylon_sub_by_label(label);
	unlock_safety_pylon_center_by_label(label);
}

/**
 * w肳ꂽxɕRtjbg̃ZteB܂
 *
 * @param	int		label	ZteB郆jbg̃x
 *
 * @caption	w肵x̃ZteB
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int stop_weapon(int label, string type_str, int stop_flag);
 */
function unlock_safety_by_label(int label)
{
	unlock_safety_gun_by_label(label);
	unlock_safety_pylon_by_label(label);
}

/**
 * w肳ꂽxɕRtjbg̃KZteBݒ肵܂
 *
 * @param	int		label	KZteBݒ肷郆jbg̃x
 *
 * @caption	w肵x̃KZteBݒ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int stop_weapon(int label, string type_str, int stop_flag);
 */
function lock_safety_gun_by_label(int label)
{
	stop_weapon(label, GUN, TRUE);
}

/**
 * w肳ꂽxɕRtjbg̃CpCZteBݒ肵܂
 *
 * @param	int		label	CpCZteBݒ肷郆jbg̃x
 *
 * @caption	w肵x̃CpCZteBݒ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int stop_weapon(int label, string type_str, int stop_flag);
 */
function lock_safety_pylon_main_by_label(int label)
{
	stop_weapon(label, PYLON_MAIN, TRUE);
}

/**
 * w肳ꂽxɕRtjbg̃TupCZteBݒ肵܂
 *
 * @param	int		label	TupCZteBݒ肷郆jbg̃x
 *
 * @caption	w肵x̃TupCZteBݒ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int stop_weapon(int label, string type_str, int stop_flag);
 */
function lock_safety_pylon_sub_by_label(int label)
{
	stop_weapon(label, PYLON_SUB, TRUE);
}

/**
 * w肳ꂽxɕRtjbg̃Z^[pCZteBݒ肵܂
 *
 * @param	int		label	Z^[pCZteBݒ肷郆jbg̃x
 *
 * @caption	w肵x̃Z^[pCZteBݒ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int stop_weapon(int label, string type_str, int stop_flag);
 */
function lock_safety_pylon_center_by_label(int label)
{
	stop_weapon(label, PYLON_CENTER, TRUE);
}

/**
 * w肳ꂽxɕRtjbg̃pCZteBݒ肵܂
 *
 * @param	int		label	pCZteBݒ肷郆jbg̃x
 *
 * @caption	w肵x̃pCZteBݒ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int stop_weapon(int label, string type_str, int stop_flag);
 */
function lock_safety_pylon_by_label(int label)
{
	lock_safety_pylon_main_by_label(label);
	lock_safety_pylon_sub_by_label(label);
	lock_safety_pylon_center_by_label(label);
}

/**
 * w肳ꂽxɕRtjbg̃ZteBݒ肵܂
 *
 * @param	int		label	ZteBݒ肷郆jbg̃x
 *
 * @caption	w肵x̃ZteBݒ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int stop_weapon(int label, string type_str, int stop_flag);
 */
function lock_safety_by_label(int label)
{
	lock_safety_gun_by_label(label);
	lock_safety_pylon_by_label(label);
}

/**
 * vC[@̃KZteB܂
 *
 * @caption	vC[@̃KZteB
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		unlock_safety_gun_by_label(int label)
 */
function unlock_safety_gun_player()
{
	unlock_safety_gun_by_label(LABEL_PLAYER);
}

/**
 * vC[@̃CpCZteB܂
 *
 * @caption	vC[@̃CpCZteB
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		unlock_safety_pylon_main_by_label(int label)
 */
function unlock_safety_pylon_main_player()
{
	unlock_safety_pylon_main_by_label(LABEL_PLAYER);
}

/**
 * vC[@̃TupCZteB܂
 *
 * @caption	vC[@̃TupCZteB
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		unlock_safety_pylon_sub_by_label(int label)
 */
function unlock_safety_pylon_sub_player()
{
	unlock_safety_pylon_sub_by_label(LABEL_PLAYER);
}

/**
 * vC[@̃Z^[pCZteB܂
 *
 * @caption	vC[@̃Z^[pCZteB
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		unlock_safety_pylon_center_by_label(int label)
 */
function unlock_safety_pylon_center_player()
{
	unlock_safety_pylon_center_by_label(LABEL_PLAYER);
}

/**
 * vC[@̃pCZteB܂
 *
 * @caption	vC[@̃pCZteB
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		unlock_safety_pylon_by_label(int label)
 */
function unlock_safety_pylon_player()
{
	unlock_safety_pylon_by_label(LABEL_PLAYER);
}

/**
 * vC[@̃ZteB܂
 *
 * @caption	vC[@̃ZteB
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		unlock_safety_by_label(int label)
 */
function unlock_safety_player()
{
	unlock_safety_by_label(LABEL_PLAYER);
}

/**
 * vC[@̃KZteBݒ肵܂
 *
 * @caption	vC[@̃KZteBݒ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		lock_safety_gun_by_label(int label)
 */
function lock_safety_gun_player()
{
	lock_safety_gun_by_label(LABEL_PLAYER);
}

/**
 * vC[@̃CpCZteBݒ肵܂
 *
 * @caption	vC[@̃CpCZteBݒ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		lock_safety_pylon_main_by_label(int label)
 */
function lock_safety_pylon_main_player()
{
	lock_safety_pylon_main_by_label(LABEL_PLAYER);
}

/**
 * vC[@̃TupCZteBݒ肵܂
 *
 * @caption	vC[@̃TupCZteBݒ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		lock_safety_pylon_sub_by_label(int label)
 */
function lock_safety_pylon_sub_player()
{
	lock_safety_pylon_sub_by_label(LABEL_PLAYER);
}

/**
 * vC[@̃Z^[pCZteBݒ肵܂
 *
 * @caption	vC[@̃Z^[pCZteBݒ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		lock_safety_pylon_center_by_label(int label)
 */
function lock_safety_pylon_center_player()
{
	lock_safety_pylon_center_by_label(LABEL_PLAYER);
}

/**
 * vC[@̃pCZteBݒ肵܂
 *
 * @caption	vC[@̃pCZteBݒ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		lock_safety_pylon_by_label(int label)
 */
function lock_safety_pylon_player()
{
	lock_safety_pylon_by_label(LABEL_PLAYER);
}

/**
 * vC[@̃ZteBݒ肵܂
 *
 * @caption	vC[@̃ZteBݒ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		lock_safety_by_label(int label)
 */
function lock_safety_player()
{
	lock_safety_by_label(LABEL_PLAYER);
}

/**
 * w肳ꂽx̃sb`p(@̏㉺)Ԃ܂B
 *
 * <p>
 * ejbg݂ꍇAejbgɑ΂Ẵsb`pԂ܂B<br />
 * Ίp擾ꍇAget_pitch_abs_by_label֐gpĂB
 * </p>
 *
 * @param	int		label	sb`p擾jbg̃x
 * @return	float	sb`p 0̏ꍇ͐A1ȏ̏ꍇ͋@グA-1ȉ̏ꍇ͋@񉺂
 *
 * @caption	w肵x̃sb`p擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int get_rot(int label, refer rx, refer ry, refer rz)
 * @see		get_pitch_abs_by_label(int label)
 */
function float get_pitch_by_label(int label)
{
	float pitch;
	float heading;
	float bank;
	get_rot(label, pitch, heading, bank);
	return pitch;
}

/**
 * w肳ꂽx̕ʊp(@̍E)Ԃ܂B
 *
 * <p>
 * ejbg݂ꍇAejbgɑ΂Ă̕ʊpԂ܂B<br />
 * Ίp擾ꍇAget_heading_abs_by_label֐gpĂB
 * </p>
 *
 * @param	int		label	ʊp擾jbg̃x
 * @return	float	ʊp 0̏ꍇ͐ʁA-1ȉ̏ꍇ͍A1ȏ̏ꍇ͉EA180̏ꍇ͐^
 *
 * @caption	w肵x̕ʊp擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int get_rot(int label, refer rx, refer ry, refer rz)
 * @see		get_pitch_abs_by_label(int label)
 */
function float get_heading_by_label(int label)
{
	float pitch;
	float heading;
	float bank;
	get_rot(label, pitch, heading, bank);
	return heading;
}

/**
 * w肳ꂽx̃oNp(@̌X)Ԃ܂B
 *
 * <p>
 * ejbg݂ꍇAejbgɑ΂ẴoNpԂ܂B<br />
 * Ίp擾ꍇAget_bank_abs_by_label֐gpĂB
 * </p>
 *
 * @param	int		label	oNp擾jbg̃x
 * @return	float	oNp 0̏ꍇ͐A-1ȉ̏ꍇ͍]A1ȏ̏ꍇ͉E]
 *
 * @caption	w肵x̃oNp擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int get_rot(int label, refer rx, refer ry, refer rz)
 * @see		get_pitch_abs_by_label(int label)
 */
function float get_bank_by_label(int label)
{
	float pitch;
	float heading;
	float bank;
	get_rot(label, pitch, heading, bank);
	return bank;
}

/**
 * w肳ꂽx̐΍Wɑ΂sb`p(@̏㉺)Ԃ܂B
 *
 * <p>
 * ejbgɑ΂Ẵsb`p擾ꍇAget_pitch_by_label֐gpĂB
 * </p>
 *
 * @param	int		label	sb`p擾jbg̃x
 * @return	float	sb`p 0̏ꍇ͐A1ȏ̏ꍇ͋@グA-1ȉ̏ꍇ͋@񉺂
 *
 * @caption	w肵x̐΍W̃sb`p擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int get_rot_abs(int label, refer rx, refer ry, refer rz)
 * @see		get_pitch_abs_by_label(int label)
 */
function float get_pitch_abs_by_label(int label)
{
	float pitch;
	float heading;
	float bank;
	get_rot_abs(label, pitch, heading, bank);
	return pitch;
}

/**
 * w肳ꂽx̐΍Wɑ΂ʊp(@̍E)Ԃ܂B
 *
 * <p>
 * ejbgɑ΂Ă̕ʊp擾ꍇAget_heading_by_label֐gpĂB
 * </p>
 *
 * @param	int		label	ʊp擾jbg̃x
 * @return	float	ʊp 0̏ꍇ͐^kA-1ȉ̏ꍇ͍A1ȏ̏ꍇ͉EA180̏ꍇ͐^
 * @caption	w肵x̐΍W̕ʊp擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int get_rot_abs(int label, refer rx, refer ry, refer rz)
 * @see		get_heading_by_label(int label)
 */
function float get_heading_abs_by_label(int label)
{
	float pitch;
	float heading;
	float bank;
	get_rot_abs(label, pitch, heading, bank);
	return heading;
}

/**
 * w肳ꂽx̐΍Wɑ΂oNp(@̌X)Ԃ܂B
 *
 * <p>
 * ejbgɑ΂ẴoNp擾ꍇAget_bank_by_label֐gpĂB
 * </p>
 *
 * @param	int		label	oNp擾jbg̃x
 * @return	float	oNp 0̏ꍇ͐A-1ȉ̏ꍇ͍]A1ȏ̏ꍇ͉E]
 *
 * @caption	w肵x̐΍W̃oNp擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int get_rot_abs(int label, refer rx, refer ry, refer rz)
 * @see		get_bank_by_label(int label)
 */
function float get_bank_abs_by_label(int label)
{
	float pitch;
	float heading;
	float bank;
	get_rot_abs(label, pitch, heading, bank);
	return bank;
}

/**
 * w肳ꂽx~TCbNĂ邩ǂԂ܂B
 *
 * <p>
 * PɉbNĂ邩ǂ𔻒fꍇɎg܂B
 * </p>
 *
 * @param	int		label	bNԂ擾jbg̃x
 * @return	int		bNIĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	w肵x̃~TCbNԂ擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int get_lock(int label, refer target, refer enemy_label, refer handle)
 */
function int is_missile_lock_by_label(int label)
{
	int target;
	int enemy_label;
	int handle;
	return get_lock(label, target, enemy_label, handle);
}

/**
 * vC[~TCbNĂ邩ǂԂ܂B
 *
 * <p>
 * PɉbNĂ邩ǂ𔻒fꍇɎg܂B
 * </p>
 *
 * @return	int		bNIĂꍇTRUEAĂȂꍇFALSE
 *
 * @caption	vC[̃~TCbNԂ擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		function int is_missile_lock_by_label(int label)
 */
function int is_player_missile_lock()
{
	return is_missile_lock_by_label(LABEL_PLAYER);
}

/**
 * w肳ꂽx̃~TCˌ̌o߃t[Ԃ܂B
 *
 * <p>
 * ő60t[܂ŒǐՂł܂B
 * </p>
 *
 * @param	int		label	~TCˌ̌o߃t[擾jbg̃x
 * @return	int		1`59̊Ԃ̃t[B˂̏ꍇ0B
 *
 * @caption	w肵x̃~TCˌo߃t[
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int get_fox(int label, refer target, refer enemy_label, refer handle)
 */
function int get_fox_elapsed_frame_by_label(int label)
{
	int target;
	int enemy_label;
	int handle;
	return get_fox(label, target, enemy_label, handle);
}

/**
 * vC[̃~TCˌ̌o߃t[Ԃ܂B
 *
 * <p>
 * ő60t[܂ŒǐՂł܂B
 * </p>
 *
 * @param	int		label	~TCˌ̌o߃t[擾jbg̃x
 * @return	int		1`59̊Ԃ̃t[B˂̏ꍇ0B
 *
 * @caption	vC[̃~TCˌo߃t[
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		function int is_fox_by_label(int label)
 */
function int get_fox_elapsed_frame()
{
	return get_fox_elapsed_frame_by_label(LABEL_PLAYER);
}

/**
 * w肳ꂽx~TC𔭎˂ǂԂ܂B
 *
 * <p>
 * ő60t[̊ԁAˍς݂Ƃ݂Ȃ܂B
 * </p>
 *
 * @param	int		label	ˏԂ擾jbg̃x
 * @return	int		ˍς݂̏ꍇTRUEAĂȂꍇFALSE
 *
 * @caption	w肵x̃~TCˏԂ擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		function int get_fox_elapsed_frame_by_label(int label)
 */
function int is_fox_by_label(int label)
{
	int time = get_fox_elapsed_frame_by_label(label);
	return (0 < time && time < 60);
}

/**
 * vC[~TC𔭎˂ǂԂ܂B
 *
 * <p>
 * ő60t[̊ԁAˍς݂Ƃ݂Ȃ܂B
 * </p>
 *
 * @return	int		ˍς݂̏ꍇTRUEAĂȂꍇFALSE
 *
 * @caption	vC[̃~TCˏԂ擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		function int is_fox_by_label(int label)
 */
function int is_player_fox()
{
	return is_fox_by_label(LABEL_PLAYER);
}

/**
 * w肳ꂽx~TCbNĂ郉xԂ܂B
 *
 * @param	int		label	bNԂ擾jbg̃x
 * @return	int		bNIĂ郆jbg̃xAbNIĂȂꍇNULL
 *
 * @caption	w肵x~TCbNĂ郉x擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int get_lock(int label, refer target, refer enemy_label, refer handle)
 */
function int get_missile_lock_target_by_label(int label)
{
	int target;
	int enemy_label;
	int handle;
	if (!get_lock(label, target, enemy_label, handle)) {
		return NULL;
	}
	return enemy_label;
}

/**
 * vC[~TCbNĂ邩ǂԂ܂B
 *
 * @return	int		bNIĂ郆jbg̃xAbNIĂȂꍇNULL
 *
 * @caption	vC[~TCbNĂ郉x擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		function int is_missile_lock_by_label(int label)
 */
function int get_player_missile_lock_target()
{
	return get_missile_lock_target_by_label(LABEL_PLAYER);
}

/**
 * w肳ꂽxwIuWFNgKWɑ݂邩ǂԂ܂B
 *
 * @param	int		label	KW̏Ԃ擾jbg̃x
 * @return	int		KWɃIuWFNg݂ꍇTRUEAłȂꍇFALSE
 *
 * @caption	w肵x̃KWɃIuWFNg݂邩ǂ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int get_gun_range(int label, refer target, refer enemy_label, refer handle)
 */
function int in_gun_range_by_label(int label)
{
	int target;
	int enemy_label;
	int handle;
	int in_range = get_gun_range(label, target, enemy_label, handle);
	return (in_range => 1);
}

/**
 * vC[wIuWFNgKWɑ݂邩ǂԂ܂B
 *
 * @return	int		KWɃIuWFNg݂ꍇTRUEAłȂꍇFALSE
 *
 * @caption	vC[̃KWɃIuWFNg݂邩ǂ肷
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		function int in_gun_range_by_label(int label)
 */
function int in_player_gun_range()
{
	return in_gun_range_by_label(LABEL_PLAYER);
}

/**
 * ݓ͂Ă郍[̃AiOl擾܂B
 *
 * j[g0A]̓}CiXAE]̓vX̒lԂ܂B<br />
 * Wł-11͈͓̔̒lԂ܂B
 *
 * @return	float	[̃AiOl
 *
 * @caption	[̃AiOl擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall float get_pad_analog(string key_code)
 */
function float get_pad_analog_roll()
{
	return get_pad_analog(PAD_ANALOG_ROLL);
}

/**
 * ݓ͂Ăsb`̃AiOl擾܂B
 *
 * j[g0A@񉺂̓}CiXA@グ̓vX̒lԂ܂B<br />
 * Wł-11͈͓̔̒lԂ܂B
 *
 * @return	float	sb`̃AiOl
 *
 * @caption	sb`̃AiOl擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall float get_pad_analog(string key_code)
 */
function float get_pad_analog_pitch()
{
	return get_pad_analog(PAD_ANALOG_PITCH);
}

/**
 * ݓ͂ĂXbg̃AiOl擾܂B
 *
 * j[g0A̓}CiXA̓vX̒lԂ܂B<br />
 * Wł-11͈͓̔̒lԂ܂B
 *
 * @return	float	Xbg̃AiOl
 *
 * @caption	Xbg̃AiOl擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall float get_pad_analog(string key_code)
 */
function float get_pad_analog_throttle()
{
	return get_pad_analog(PAD_ANALOG_THROTTLE);
}

/**
 * ݓ͂Ă郈[̃AiOl擾܂B
 *
 * j[g0Aw̓}CiXAEw̓vX̒lԂ܂B<br />
 * Wł-11͈͓̔̒lԂ܂B
 *
 * @return	float	[̃AiOl
 *
 * @caption	[̃AiOl擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall float get_pad_analog(string key_code)
 */
function float get_pad_analog_yaw()
{
	return get_pad_analog(PAD_ANALOG_YAW);
}

/**
 * SɃXbhJn܂B
 *
 * Xbhғ̏ꍇ͉܂B
 * thread_idcreate_threadō쐬IDw肵ĂB
 *
 * @param	int			thread_id			XbhID
 * @param	valiable	new_thread_label	XbhN֐
 * @param	int			thread_arg			XbhN֐ɓn
 * @return	int			NXbh̃XbhIDBɃXbhNς݂̏ꍇ́Athread_idԂB
 *
 * @caption	SɃXbhJn
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		function int create_thread(valiable new_thread_label, int thread_arg)
 */
function float create_thread_safety(int thread_id, valiable new_thread_label, int thread_arg)
{
	if (NULL == thread_id)
	{
		return create_thread(new_thread_label, thread_arg);
	}
	return thread_id;
}

/**
 * SɃXbhI܂B
 *
 * XbhғłȂꍇ͉܂B
 *
 * @param	int	IXbhID
 * @return	int	NULL
 *
 * @caption	SɃXbhI
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		function int exit_thread(int thread_id)
 */
function float exit_thread_safety(int thread_id)
{
	if (NULL != thread_id)
	{
		exit_thread(thread_id);
	}
	return NULL;
}

/**
 * vC[@݂̂̌̑x擾܂B
 *
 * @return	int	vC[@݂̂̌̑x
 *
 * @caption	vC[@̑x擾
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int get_speed(int label);
 */
function int get_speed_by_player()
{
	return get_speed(LABEL_PLAYER);
}

/**
 * vC[@̂𑬓xuグ܂
 *
 * @param	float	speed	vC[@̂ɐݒ肷鑬x
 *
 * @caption	vC[@̑xuグ
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int set_speed(int label, float speed);
 */
function int set_speed_by_player(float speed)
{
	return set_speed(LABEL_PLAYER, speed);
}

/**
 * ݂̃vC[@̂̑xɈ̑xu悹܂
 *
 * @param	float	speed	vC[@̂ɏ悹鑬x
 *
 * @caption	vC[@̑xu悹
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int set_speed(int label, float speed);
 */
function int set_plus_speed_by_player(float speed)
{
	return set_speed_by_player(get_speed_by_player() + speed);
}

/**
 * label_sourceɎw肳ꂽx̍Wlabel_targetɃRs[܂B
 *
 * @param	int label_source	Rs[̃x
 * @param	int label_target	Rs[̃x
 *
 * @caption	x̍WRs[
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int get_pos(int label, refer x, refer y, refer z);
 * @see		systemcall int set_pos(int label, float pos_x, float pos_y, float pos_z, int child_flag);
 */
function int copy_pos_label_to_label(int label_source, int label_target, int child_flag)
{
	float x;
	float y;
	float z;
	get_pos(label_source, x, y, z);
	return set_pos(label_target, x, y, z, child_flag);
}

/**
 * label_sourceɎw肳ꂽx̊pxlabel_targetɃRs[܂B
 *
 * @param	int label_source	Rs[̃x
 * @param	int label_target	Rs[̃x
 *
 * @caption	x̊pxRs[
 * @since	1.0
 * @version	1.0
 * @engine	RSE3.5,SpE4.0
 * @see		systemcall int get_rot(int label, refer rx, refer ry, refer rz);
 * @see		systemcall int set_rot(int label, float rot_x, float rot_y, float rot_z, int child_flag);
 */
function int copy_rot_label_to_label(int label_source, int label_target, int child_flag)
{
	float rx;
	float ry;
	float yz;
	get_rot(label_source, rx, ry, yz);
	return set_rot(label_target, rx, ry, yz, child_flag);
}
